/**
 */
package org.pnml.emf.ptnet;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Arc</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.pnml.emf.ptnet.Arc#getSource <em>Source</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.Arc#getTarget <em>Target</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.Arc#getContainerPage <em>Container Page</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.Arc#getToolspecific <em>Toolspecific</em>}</li>
 * </ul>
 *
 * @see org.pnml.emf.ptnet.PtnetPackage#getArc()
 * @model annotation="http://www.pnml.org/models/OCL samePageSourceTarget='self.source.containerPage = self.target.containerPage' differentSourceTarget='(self.source.oclIsKindOf(PlaceNode) and self.target.oclIsKindOf(TransitionNode)) or (self.source.oclIsKindOf(TransitionNode) and self.target.oclIsKindOf(PlaceNode))'"
 *        annotation="http://www.eclipse.org/emf/2002/Ecore constraints='samePageSourceTarget differentSourceTarget'"
 * @generated
 */
public interface Arc extends Edge {
   /**
    * Returns the value of the '<em><b>Source</b></em>' reference.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.Node#getOutArcs <em>Out Arcs</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the value of the '<em>Source</em>' reference.
    * @see #setSource(Node)
    * @see org.pnml.emf.ptnet.PtnetPackage#getArc_Source()
    * @see org.pnml.emf.ptnet.Node#getOutArcs
    * @model opposite="OutArcs" required="true" ordered="false"
    * @generated
    */
   Node getSource();

   /**
    * Sets the value of the '{@link org.pnml.emf.ptnet.Arc#getSource <em>Source</em>}' reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @param value the new value of the '<em>Source</em>' reference.
    * @see #getSource()
    * @generated
    */
   void setSource(Node value);

   /**
    * Returns the value of the '<em><b>Target</b></em>' reference.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.Node#getInArcs <em>In Arcs</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the value of the '<em>Target</em>' reference.
    * @see #setTarget(Node)
    * @see org.pnml.emf.ptnet.PtnetPackage#getArc_Target()
    * @see org.pnml.emf.ptnet.Node#getInArcs
    * @model opposite="InArcs" required="true" ordered="false"
    * @generated
    */
   Node getTarget();

   /**
    * Sets the value of the '{@link org.pnml.emf.ptnet.Arc#getTarget <em>Target</em>}' reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @param value the new value of the '<em>Target</em>' reference.
    * @see #getTarget()
    * @generated
    */
   void setTarget(Node value);

   /**
    * Returns the value of the '<em><b>Container Page</b></em>' container reference.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.Page#getArc <em>Arc</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the value of the '<em>Container Page</em>' container reference.
    * @see #setContainerPage(Page)
    * @see org.pnml.emf.ptnet.PtnetPackage#getArc_ContainerPage()
    * @see org.pnml.emf.ptnet.Page#getArc
    * @model opposite="arc" transient="false" ordered="false"
    * @generated
    */
   Page getContainerPage();

   /**
    * Sets the value of the '{@link org.pnml.emf.ptnet.Arc#getContainerPage <em>Container Page</em>}' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @param value the new value of the '<em>Container Page</em>' container reference.
    * @see #getContainerPage()
    * @generated
    */
   void setContainerPage(Page value);

   /**
    * Returns the value of the '<em><b>Toolspecific</b></em>' containment reference list.
    * The list contents are of type {@link org.pnml.emf.ptnet.ToolInfo}.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.ToolInfo#getArc <em>Arc</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the value of the '<em>Toolspecific</em>' containment reference list.
    * @see org.pnml.emf.ptnet.PtnetPackage#getArc_Toolspecific()
    * @see org.pnml.emf.ptnet.ToolInfo#getArc
    * @model opposite="arc" containment="true"
    * @generated
    */
   EList<ToolInfo> getToolspecific();

} // Arc
