/**
 */
package org.pnml.emf.ptnet;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Page</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.pnml.emf.ptnet.Page#getArc <em>Arc</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.Page#getContainerPetriNet <em>Container Petri Net</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.Page#getPlace <em>Place</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.Page#getTransition <em>Transition</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.Page#getPage <em>Page</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.Page#getContainerPage <em>Container Page</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.Page#getReferencePlace <em>Reference Place</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.Page#getReferenceTransition <em>Reference Transition</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.Page#getReadArc <em>Read Arc</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.Page#getInhibitorArc <em>Inhibitor Arc</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.Page#getToolspecific <em>Toolspecific</em>}</li>
 * </ul>
 *
 * @see org.pnml.emf.ptnet.PtnetPackage#getPage()
 * @model
 * @generated
 */
public interface Page extends PositionableObject {
   /**
    * Returns the value of the '<em><b>Arc</b></em>' containment reference list.
    * The list contents are of type {@link org.pnml.emf.ptnet.Arc}.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.Arc#getContainerPage <em>Container Page</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the value of the '<em>Arc</em>' containment reference list.
    * @see org.pnml.emf.ptnet.PtnetPackage#getPage_Arc()
    * @see org.pnml.emf.ptnet.Arc#getContainerPage
    * @model opposite="containerPage" containment="true" ordered="false"
    * @generated
    */
   EList<Arc> getArc();

   /**
    * Returns the value of the '<em><b>Container Petri Net</b></em>' container reference.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.PetriNet#getPage <em>Page</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the value of the '<em>Container Petri Net</em>' container reference.
    * @see #setContainerPetriNet(PetriNet)
    * @see org.pnml.emf.ptnet.PtnetPackage#getPage_ContainerPetriNet()
    * @see org.pnml.emf.ptnet.PetriNet#getPage
    * @model opposite="page" transient="false" ordered="false"
    * @generated
    */
   PetriNet getContainerPetriNet();

   /**
    * Sets the value of the '{@link org.pnml.emf.ptnet.Page#getContainerPetriNet <em>Container Petri Net</em>}' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @param value the new value of the '<em>Container Petri Net</em>' container reference.
    * @see #getContainerPetriNet()
    * @generated
    */
   void setContainerPetriNet(PetriNet value);

   /**
    * Returns the value of the '<em><b>Place</b></em>' containment reference list.
    * The list contents are of type {@link org.pnml.emf.ptnet.Place}.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.Place#getContainerPage <em>Container Page</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the value of the '<em>Place</em>' containment reference list.
    * @see org.pnml.emf.ptnet.PtnetPackage#getPage_Place()
    * @see org.pnml.emf.ptnet.Place#getContainerPage
    * @model opposite="containerPage" containment="true" ordered="false"
    * @generated
    */
   EList<Place> getPlace();

   /**
    * Returns the value of the '<em><b>Transition</b></em>' containment reference list.
    * The list contents are of type {@link org.pnml.emf.ptnet.Transition}.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.Transition#getContainerPage <em>Container Page</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the value of the '<em>Transition</em>' containment reference list.
    * @see org.pnml.emf.ptnet.PtnetPackage#getPage_Transition()
    * @see org.pnml.emf.ptnet.Transition#getContainerPage
    * @model opposite="containerPage" containment="true" ordered="false"
    * @generated
    */
   EList<Transition> getTransition();

   /**
    * Returns the value of the '<em><b>Page</b></em>' containment reference list.
    * The list contents are of type {@link org.pnml.emf.ptnet.Page}.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.Page#getContainerPage <em>Container Page</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the value of the '<em>Page</em>' containment reference list.
    * @see org.pnml.emf.ptnet.PtnetPackage#getPage_Page()
    * @see org.pnml.emf.ptnet.Page#getContainerPage
    * @model opposite="containerPage" containment="true" ordered="false"
    * @generated
    */
   EList<Page> getPage();

   /**
    * Returns the value of the '<em><b>Container Page</b></em>' container reference.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.Page#getPage <em>Page</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the value of the '<em>Container Page</em>' container reference.
    * @see #setContainerPage(Page)
    * @see org.pnml.emf.ptnet.PtnetPackage#getPage_ContainerPage()
    * @see org.pnml.emf.ptnet.Page#getPage
    * @model opposite="page" transient="false" ordered="false"
    * @generated
    */
   Page getContainerPage();

   /**
    * Sets the value of the '{@link org.pnml.emf.ptnet.Page#getContainerPage <em>Container Page</em>}' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @param value the new value of the '<em>Container Page</em>' container reference.
    * @see #getContainerPage()
    * @generated
    */
   void setContainerPage(Page value);

   /**
    * Returns the value of the '<em><b>Reference Place</b></em>' containment reference list.
    * The list contents are of type {@link org.pnml.emf.ptnet.RefPlace}.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.RefPlace#getContainerPage <em>Container Page</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the value of the '<em>Reference Place</em>' containment reference list.
    * @see org.pnml.emf.ptnet.PtnetPackage#getPage_ReferencePlace()
    * @see org.pnml.emf.ptnet.RefPlace#getContainerPage
    * @model opposite="containerPage" containment="true" ordered="false"
    * @generated
    */
   EList<RefPlace> getReferencePlace();

   /**
    * Returns the value of the '<em><b>Reference Transition</b></em>' containment reference list.
    * The list contents are of type {@link org.pnml.emf.ptnet.RefTransition}.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.RefTransition#getContainerPage <em>Container Page</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the value of the '<em>Reference Transition</em>' containment reference list.
    * @see org.pnml.emf.ptnet.PtnetPackage#getPage_ReferenceTransition()
    * @see org.pnml.emf.ptnet.RefTransition#getContainerPage
    * @model opposite="containerPage" containment="true" ordered="false"
    * @generated
    */
   EList<RefTransition> getReferenceTransition();

   /**
    * Returns the value of the '<em><b>Read Arc</b></em>' containment reference list.
    * The list contents are of type {@link org.pnml.emf.ptnet.ReadArc}.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.ReadArc#getContainerPage <em>Container Page</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the value of the '<em>Read Arc</em>' containment reference list.
    * @see org.pnml.emf.ptnet.PtnetPackage#getPage_ReadArc()
    * @see org.pnml.emf.ptnet.ReadArc#getContainerPage
    * @model opposite="containerPage" containment="true" ordered="false"
    * @generated
    */
   EList<ReadArc> getReadArc();

   /**
    * Returns the value of the '<em><b>Inhibitor Arc</b></em>' containment reference list.
    * The list contents are of type {@link org.pnml.emf.ptnet.InhibitorArc}.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.InhibitorArc#getPage <em>Page</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the value of the '<em>Inhibitor Arc</em>' containment reference list.
    * @see org.pnml.emf.ptnet.PtnetPackage#getPage_InhibitorArc()
    * @see org.pnml.emf.ptnet.InhibitorArc#getPage
    * @model opposite="page" containment="true" ordered="false"
    * @generated
    */
   EList<InhibitorArc> getInhibitorArc();

   /**
    * Returns the value of the '<em><b>Toolspecific</b></em>' containment reference list.
    * The list contents are of type {@link org.pnml.emf.ptnet.ToolInfoPage}.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.ToolInfoPage#getPage <em>Page</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the value of the '<em>Toolspecific</em>' containment reference list.
    * @see org.pnml.emf.ptnet.PtnetPackage#getPage_Toolspecific()
    * @see org.pnml.emf.ptnet.ToolInfoPage#getPage
    * @model opposite="page" containment="true"
    * @generated
    */
   EList<ToolInfoPage> getToolspecific();

} // Page
