/**
 */
package org.pnml.emf.ptnet;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Petri Net</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.pnml.emf.ptnet.PetriNet#getId <em>Id</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.PetriNet#getType <em>Type</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.PetriNet#getPage <em>Page</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.PetriNet#getName <em>Name</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.PetriNet#getContainerPetriNetDoc <em>Container Petri Net Doc</em>}</li>
 *   <li>{@link org.pnml.emf.ptnet.PetriNet#getToolspecific <em>Toolspecific</em>}</li>
 * </ul>
 *
 * @see org.pnml.emf.ptnet.PtnetPackage#getPetriNet()
 * @model
 * @generated
 */
public interface PetriNet extends EObject {
   /**
    * Returns the value of the '<em><b>Id</b></em>' attribute.
    * The default value is <code>""</code>.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the value of the '<em>Id</em>' attribute.
    * @see #setId(String)
    * @see org.pnml.emf.ptnet.PtnetPackage#getPetriNet_Id()
    * @model default="" id="true" required="true" ordered="false"
    * @generated
    */
   String getId();

   /**
    * Sets the value of the '{@link org.pnml.emf.ptnet.PetriNet#getId <em>Id</em>}' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @param value the new value of the '<em>Id</em>' attribute.
    * @see #getId()
    * @generated
    */
   void setId(String value);

   /**
    * Returns the value of the '<em><b>Type</b></em>' attribute.
    * The default value is <code>""</code>.
    * The literals are from the enumeration {@link org.pnml.emf.ptnet.PNType}.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the value of the '<em>Type</em>' attribute.
    * @see org.pnml.emf.ptnet.PNType
    * @see #setType(PNType)
    * @see org.pnml.emf.ptnet.PtnetPackage#getPetriNet_Type()
    * @model default="" required="true" ordered="false"
    * @generated
    */
   PNType getType();

   /**
    * Sets the value of the '{@link org.pnml.emf.ptnet.PetriNet#getType <em>Type</em>}' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @param value the new value of the '<em>Type</em>' attribute.
    * @see org.pnml.emf.ptnet.PNType
    * @see #getType()
    * @generated
    */
   void setType(PNType value);

   /**
    * Returns the value of the '<em><b>Page</b></em>' containment reference list.
    * The list contents are of type {@link org.pnml.emf.ptnet.Page}.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.Page#getContainerPetriNet <em>Container Petri Net</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the value of the '<em>Page</em>' containment reference list.
    * @see org.pnml.emf.ptnet.PtnetPackage#getPetriNet_Page()
    * @see org.pnml.emf.ptnet.Page#getContainerPetriNet
    * @model opposite="containerPetriNet" containment="true" required="true" ordered="false"
    * @generated
    */
   EList<Page> getPage();

   /**
    * Returns the value of the '<em><b>Name</b></em>' containment reference.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.Name#getContainerNamePetriNet <em>Container Name Petri Net</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the value of the '<em>Name</em>' containment reference.
    * @see #setName(Name)
    * @see org.pnml.emf.ptnet.PtnetPackage#getPetriNet_Name()
    * @see org.pnml.emf.ptnet.Name#getContainerNamePetriNet
    * @model opposite="containerNamePetriNet" containment="true" ordered="false"
    * @generated
    */
   Name getName();

   /**
    * Sets the value of the '{@link org.pnml.emf.ptnet.PetriNet#getName <em>Name</em>}' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @param value the new value of the '<em>Name</em>' containment reference.
    * @see #getName()
    * @generated
    */
   void setName(Name value);

   /**
    * Returns the value of the '<em><b>Container Petri Net Doc</b></em>' container reference.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.pnml#getNet <em>Net</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the value of the '<em>Container Petri Net Doc</em>' container reference.
    * @see #setContainerPetriNetDoc(pnml)
    * @see org.pnml.emf.ptnet.PtnetPackage#getPetriNet_ContainerPetriNetDoc()
    * @see org.pnml.emf.ptnet.pnml#getNet
    * @model opposite="net" transient="false" ordered="false"
    * @generated
    */
   pnml getContainerPetriNetDoc();

   /**
    * Sets the value of the '{@link org.pnml.emf.ptnet.PetriNet#getContainerPetriNetDoc <em>Container Petri Net Doc</em>}' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @param value the new value of the '<em>Container Petri Net Doc</em>' container reference.
    * @see #getContainerPetriNetDoc()
    * @generated
    */
   void setContainerPetriNetDoc(pnml value);

   /**
    * Returns the value of the '<em><b>Toolspecific</b></em>' containment reference list.
    * The list contents are of type {@link org.pnml.emf.ptnet.ToolInfoNet}.
    * It is bidirectional and its opposite is '{@link org.pnml.emf.ptnet.ToolInfoNet#getPetrinet <em>Petrinet</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the value of the '<em>Toolspecific</em>' containment reference list.
    * @see org.pnml.emf.ptnet.PtnetPackage#getPetriNet_Toolspecific()
    * @see org.pnml.emf.ptnet.ToolInfoNet#getPetrinet
    * @model opposite="petrinet" containment="true"
    * @generated
    */
   EList<ToolInfoNet> getToolspecific();

} // PetriNet
