/**
 */
package org.pnml.emf.ptnet.impl;

import java.net.URI;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

import org.pnml.emf.ptnet.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class PtnetFactoryImpl extends EFactoryImpl implements PtnetFactory {
   /**
    * Creates the default factory implementation.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public static PtnetFactory init() {
      try {
         PtnetFactory thePtnetFactory = (PtnetFactory) EPackage.Registry.INSTANCE.getEFactory(PtnetPackage.eNS_URI);
         if (thePtnetFactory != null) {
            return thePtnetFactory;
         }
      } catch (Exception exception) {
         EcorePlugin.INSTANCE.log(exception);
      }
      return new PtnetFactoryImpl();
   }

   /**
    * Creates an instance of the factory.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public PtnetFactoryImpl() {
      super();
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public EObject create(EClass eClass) {
      switch (eClass.getClassifierID()) {
         case PtnetPackage.PT_MARKING:
            return createPTMarking();
         case PtnetPackage.PT_ARC_ANNOTATION:
            return createPTArcAnnotation();
         case PtnetPackage.PNML:
            return createpnml();
         case PtnetPackage.PETRI_NET:
            return createPetriNet();
         case PtnetPackage.PAGE:
            return createPage();
         case PtnetPackage.NAME:
            return createName();
         case PtnetPackage.TOOL_INFO:
            return createToolInfo();
         case PtnetPackage.NODE_GRAPHICS:
            return createNodeGraphics();
         case PtnetPackage.POSITION:
            return createPosition();
         case PtnetPackage.OFFSET:
            return createOffset();
         case PtnetPackage.DIMENSION:
            return createDimension();
         case PtnetPackage.ANNOTATION_GRAPHICS:
            return createAnnotationGraphics();
         case PtnetPackage.FILL:
            return createFill();
         case PtnetPackage.LINE:
            return createLine();
         case PtnetPackage.ARC_GRAPHICS:
            return createArcGraphics();
         case PtnetPackage.ARC:
            return createArc();
         case PtnetPackage.FONT:
            return createFont();
         case PtnetPackage.PLACE:
            return createPlace();
         case PtnetPackage.REF_TRANSITION:
            return createRefTransition();
         case PtnetPackage.TRANSITION:
            return createTransition();
         case PtnetPackage.REF_PLACE:
            return createRefPlace();
         case PtnetPackage.INHIBITOR_ARC:
            return createInhibitorArc();
         case PtnetPackage.READ_ARC:
            return createReadArc();
         case PtnetPackage.TOOL_INFO_PLACE:
            return createToolInfoPlace();
         case PtnetPackage.TOOL_INFO_TRANSITION:
            return createToolInfoTransition();
         case PtnetPackage.TOOL_INFO_PAGE:
            return createToolInfoPage();
         case PtnetPackage.TOOL_INFO_NET:
            return createToolInfoNet();
         case PtnetPackage.TOKENS:
            return createTokens();
         case PtnetPackage.BALLOON_MARKING:
            return createBalloonMarking();
         case PtnetPackage.INPUT_SIGNALS:
            return createInputSignals();
         case PtnetPackage.INPUT_SIGNAL:
            return createInputSignal();
         case PtnetPackage.CHANNELS:
            return createChannels();
         case PtnetPackage.CHANNEL:
            return createChannel();
         case PtnetPackage.PUBLISHERS:
            return createPublishers();
         case PtnetPackage.PUBLISHER:
            return createPublisher();
         case PtnetPackage.SUBSCRIBERS:
            return createSubscribers();
         case PtnetPackage.SUBSCRIBER:
            return createSubscriber();
         case PtnetPackage.TOOL_INFO_NODE:
            return createToolInfoNode();
         default:
            throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
      }
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Object createFromString(EDataType eDataType, String initialValue) {
      switch (eDataType.getClassifierID()) {
         case PtnetPackage.PN_TYPE:
            return createPNTypeFromString(eDataType, initialValue);
         case PtnetPackage.CSS2_COLOR:
            return createCSS2ColorFromString(eDataType, initialValue);
         case PtnetPackage.GRADIENT:
            return createGradientFromString(eDataType, initialValue);
         case PtnetPackage.LINE_SHAPE:
            return createLineShapeFromString(eDataType, initialValue);
         case PtnetPackage.FONT_ALIGN:
            return createFontAlignFromString(eDataType, initialValue);
         case PtnetPackage.FONT_DECORATION:
            return createFontDecorationFromString(eDataType, initialValue);
         case PtnetPackage.CSS2_FONT_FAMILY:
            return createCSS2FontFamilyFromString(eDataType, initialValue);
         case PtnetPackage.CSS2_FONT_SIZE:
            return createCSS2FontSizeFromString(eDataType, initialValue);
         case PtnetPackage.CSS2_FONT_STYLE:
            return createCSS2FontStyleFromString(eDataType, initialValue);
         case PtnetPackage.CSS2_FONT_WEIGHT:
            return createCSS2FontWeightFromString(eDataType, initialValue);
         case PtnetPackage.LINE_STYLE:
            return createLineStyleFromString(eDataType, initialValue);
         case PtnetPackage.POSITIVE_INTEGER:
            return createPositiveIntegerFromString(eDataType, initialValue);
         case PtnetPackage.NATURAL:
            return createNaturalFromString(eDataType, initialValue);
         case PtnetPackage.URI:
            return createURIFromString(eDataType, initialValue);
         case PtnetPackage.LONG_STRING:
            return createLongStringFromString(eDataType, initialValue);
         default:
            throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
      }
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public String convertToString(EDataType eDataType, Object instanceValue) {
      switch (eDataType.getClassifierID()) {
         case PtnetPackage.PN_TYPE:
            return convertPNTypeToString(eDataType, instanceValue);
         case PtnetPackage.CSS2_COLOR:
            return convertCSS2ColorToString(eDataType, instanceValue);
         case PtnetPackage.GRADIENT:
            return convertGradientToString(eDataType, instanceValue);
         case PtnetPackage.LINE_SHAPE:
            return convertLineShapeToString(eDataType, instanceValue);
         case PtnetPackage.FONT_ALIGN:
            return convertFontAlignToString(eDataType, instanceValue);
         case PtnetPackage.FONT_DECORATION:
            return convertFontDecorationToString(eDataType, instanceValue);
         case PtnetPackage.CSS2_FONT_FAMILY:
            return convertCSS2FontFamilyToString(eDataType, instanceValue);
         case PtnetPackage.CSS2_FONT_SIZE:
            return convertCSS2FontSizeToString(eDataType, instanceValue);
         case PtnetPackage.CSS2_FONT_STYLE:
            return convertCSS2FontStyleToString(eDataType, instanceValue);
         case PtnetPackage.CSS2_FONT_WEIGHT:
            return convertCSS2FontWeightToString(eDataType, instanceValue);
         case PtnetPackage.LINE_STYLE:
            return convertLineStyleToString(eDataType, instanceValue);
         case PtnetPackage.POSITIVE_INTEGER:
            return convertPositiveIntegerToString(eDataType, instanceValue);
         case PtnetPackage.NATURAL:
            return convertNaturalToString(eDataType, instanceValue);
         case PtnetPackage.URI:
            return convertURIToString(eDataType, instanceValue);
         case PtnetPackage.LONG_STRING:
            return convertLongStringToString(eDataType, instanceValue);
         default:
            throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
      }
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public PTMarking createPTMarking() {
      PTMarkingImpl ptMarking = new PTMarkingImpl();
      return ptMarking;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public PTArcAnnotation createPTArcAnnotation() {
      PTArcAnnotationImpl ptArcAnnotation = new PTArcAnnotationImpl();
      return ptArcAnnotation;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public pnml createpnml() {
      pnmlImpl pnml = new pnmlImpl();
      return pnml;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public PetriNet createPetriNet() {
      PetriNetImpl petriNet = new PetriNetImpl();
      return petriNet;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Page createPage() {
      PageImpl page = new PageImpl();
      return page;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Name createName() {
      NameImpl name = new NameImpl();
      return name;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public ToolInfo createToolInfo() {
      ToolInfoImpl toolInfo = new ToolInfoImpl();
      return toolInfo;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public NodeGraphics createNodeGraphics() {
      NodeGraphicsImpl nodeGraphics = new NodeGraphicsImpl();
      return nodeGraphics;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Position createPosition() {
      PositionImpl position = new PositionImpl();
      return position;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Offset createOffset() {
      OffsetImpl offset = new OffsetImpl();
      return offset;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Dimension createDimension() {
      DimensionImpl dimension = new DimensionImpl();
      return dimension;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public AnnotationGraphics createAnnotationGraphics() {
      AnnotationGraphicsImpl annotationGraphics = new AnnotationGraphicsImpl();
      return annotationGraphics;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Fill createFill() {
      FillImpl fill = new FillImpl();
      return fill;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Line createLine() {
      LineImpl line = new LineImpl();
      return line;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public ArcGraphics createArcGraphics() {
      ArcGraphicsImpl arcGraphics = new ArcGraphicsImpl();
      return arcGraphics;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Arc createArc() {
      ArcImpl arc = new ArcImpl();
      return arc;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Font createFont() {
      FontImpl font = new FontImpl();
      return font;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Place createPlace() {
      PlaceImpl place = new PlaceImpl();
      return place;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public RefTransition createRefTransition() {
      RefTransitionImpl refTransition = new RefTransitionImpl();
      return refTransition;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Transition createTransition() {
      TransitionImpl transition = new TransitionImpl();
      return transition;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public RefPlace createRefPlace() {
      RefPlaceImpl refPlace = new RefPlaceImpl();
      return refPlace;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public InhibitorArc createInhibitorArc() {
      InhibitorArcImpl inhibitorArc = new InhibitorArcImpl();
      return inhibitorArc;
   }

   /**
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public ReadArc createReadArc() {
      ReadArcImpl readArc = new ReadArcImpl();
      return readArc;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public ToolInfoPlace createToolInfoPlace() {
      ToolInfoPlaceImpl toolInfoPlace = new ToolInfoPlaceImpl();
      return toolInfoPlace;
   }

   /**
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public ToolInfoTransition createToolInfoTransition() {
      ToolInfoTransitionImpl toolInfoTransition = new ToolInfoTransitionImpl();
      return toolInfoTransition;
   }

   /**
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public ToolInfoPage createToolInfoPage() {
      ToolInfoPageImpl toolInfoPage = new ToolInfoPageImpl();
      return toolInfoPage;
   }

   /**
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public ToolInfoNet createToolInfoNet() {
      ToolInfoNetImpl toolInfoNet = new ToolInfoNetImpl();
      return toolInfoNet;
   }

   /**
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Tokens createTokens() {
      TokensImpl tokens = new TokensImpl();
      return tokens;
   }

   /**
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public BalloonMarking createBalloonMarking() {
      BalloonMarkingImpl balloonMarking = new BalloonMarkingImpl();
      return balloonMarking;
   }

   /**
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public InputSignals createInputSignals() {
      InputSignalsImpl inputSignals = new InputSignalsImpl();
      return inputSignals;
   }

   /**
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public InputSignal createInputSignal() {
      InputSignalImpl inputSignal = new InputSignalImpl();
      return inputSignal;
   }

   /**
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Channels createChannels() {
      ChannelsImpl channels = new ChannelsImpl();
      return channels;
   }

   /**
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Channel createChannel() {
      ChannelImpl channel = new ChannelImpl();
      return channel;
   }

   /**
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Publishers createPublishers() {
      PublishersImpl publishers = new PublishersImpl();
      return publishers;
   }

   /**
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Publisher createPublisher() {
      PublisherImpl publisher = new PublisherImpl();
      return publisher;
   }

   /**
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Subscribers createSubscribers() {
      SubscribersImpl subscribers = new SubscribersImpl();
      return subscribers;
   }

   /**
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public Subscriber createSubscriber() {
      SubscriberImpl subscriber = new SubscriberImpl();
      return subscriber;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public ToolInfoNode createToolInfoNode() {
      ToolInfoNodeImpl toolInfoNode = new ToolInfoNodeImpl();
      return toolInfoNode;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public PNType createPNTypeFromString(EDataType eDataType, String initialValue) {
      PNType result = PNType.get(initialValue);
      if (result == null)
         throw new IllegalArgumentException(
            "The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
      return result;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public String convertPNTypeToString(EDataType eDataType, Object instanceValue) {
      return instanceValue == null ? null : instanceValue.toString();
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public CSS2Color createCSS2ColorFromString(EDataType eDataType, String initialValue) {
      CSS2Color result = CSS2Color.get(initialValue);
      if (result == null)
         throw new IllegalArgumentException(
            "The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
      return result;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public String convertCSS2ColorToString(EDataType eDataType, Object instanceValue) {
      return instanceValue == null ? null : instanceValue.toString();
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public Gradient createGradientFromString(EDataType eDataType, String initialValue) {
      Gradient result = Gradient.get(initialValue);
      if (result == null)
         throw new IllegalArgumentException(
            "The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
      return result;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public String convertGradientToString(EDataType eDataType, Object instanceValue) {
      return instanceValue == null ? null : instanceValue.toString();
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public LineShape createLineShapeFromString(EDataType eDataType, String initialValue) {
      LineShape result = LineShape.get(initialValue);
      if (result == null)
         throw new IllegalArgumentException(
            "The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
      return result;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public String convertLineShapeToString(EDataType eDataType, Object instanceValue) {
      return instanceValue == null ? null : instanceValue.toString();
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public FontAlign createFontAlignFromString(EDataType eDataType, String initialValue) {
      FontAlign result = FontAlign.get(initialValue);
      if (result == null)
         throw new IllegalArgumentException(
            "The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
      return result;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public String convertFontAlignToString(EDataType eDataType, Object instanceValue) {
      return instanceValue == null ? null : instanceValue.toString();
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public FontDecoration createFontDecorationFromString(EDataType eDataType, String initialValue) {
      FontDecoration result = FontDecoration.get(initialValue);
      if (result == null)
         throw new IllegalArgumentException(
            "The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
      return result;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public String convertFontDecorationToString(EDataType eDataType, Object instanceValue) {
      return instanceValue == null ? null : instanceValue.toString();
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public CSS2FontFamily createCSS2FontFamilyFromString(EDataType eDataType, String initialValue) {
      CSS2FontFamily result = CSS2FontFamily.get(initialValue);
      if (result == null)
         throw new IllegalArgumentException(
            "The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
      return result;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public String convertCSS2FontFamilyToString(EDataType eDataType, Object instanceValue) {
      return instanceValue == null ? null : instanceValue.toString();
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public CSS2FontSize createCSS2FontSizeFromString(EDataType eDataType, String initialValue) {
      CSS2FontSize result = CSS2FontSize.get(initialValue);
      if (result == null)
         throw new IllegalArgumentException(
            "The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
      return result;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public String convertCSS2FontSizeToString(EDataType eDataType, Object instanceValue) {
      return instanceValue == null ? null : instanceValue.toString();
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public CSS2FontStyle createCSS2FontStyleFromString(EDataType eDataType, String initialValue) {
      CSS2FontStyle result = CSS2FontStyle.get(initialValue);
      if (result == null)
         throw new IllegalArgumentException(
            "The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
      return result;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public String convertCSS2FontStyleToString(EDataType eDataType, Object instanceValue) {
      return instanceValue == null ? null : instanceValue.toString();
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public CSS2FontWeight createCSS2FontWeightFromString(EDataType eDataType, String initialValue) {
      CSS2FontWeight result = CSS2FontWeight.get(initialValue);
      if (result == null)
         throw new IllegalArgumentException(
            "The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
      return result;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public String convertCSS2FontWeightToString(EDataType eDataType, Object instanceValue) {
      return instanceValue == null ? null : instanceValue.toString();
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public LineStyle createLineStyleFromString(EDataType eDataType, String initialValue) {
      LineStyle result = LineStyle.get(initialValue);
      if (result == null)
         throw new IllegalArgumentException(
            "The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
      return result;
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public String convertLineStyleToString(EDataType eDataType, Object instanceValue) {
      return instanceValue == null ? null : instanceValue.toString();
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public Integer createPositiveIntegerFromString(EDataType eDataType, String initialValue) {
      return (Integer) super.createFromString(eDataType, initialValue);
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public String convertPositiveIntegerToString(EDataType eDataType, Object instanceValue) {
      return super.convertToString(eDataType, instanceValue);
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public Integer createNaturalFromString(EDataType eDataType, String initialValue) {
      return (Integer) super.createFromString(eDataType, initialValue);
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public String convertNaturalToString(EDataType eDataType, Object instanceValue) {
      return super.convertToString(eDataType, instanceValue);
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public URI createURIFromString(EDataType eDataType, String initialValue) {
      return (URI) super.createFromString(eDataType, initialValue);
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public String convertURIToString(EDataType eDataType, Object instanceValue) {
      return super.convertToString(eDataType, instanceValue);
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public StringBuffer createLongStringFromString(EDataType eDataType, String initialValue) {
      return (StringBuffer) super.createFromString(eDataType, initialValue);
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   public String convertLongStringToString(EDataType eDataType, Object instanceValue) {
      return super.convertToString(eDataType, instanceValue);
   }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   @Override
   public PtnetPackage getPtnetPackage() { return (PtnetPackage) getEPackage(); }

   /**
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @deprecated
    * @generated
    */
   @Deprecated
   public static PtnetPackage getPackage() { return PtnetPackage.eINSTANCE; }

} //PtnetFactoryImpl
