package org.eclipse.glsp.example.javaemf;

public final class PNMLModelTypes {

    private PNMLModelTypes() {}

    public static final String PLACE = "place";
    public static final String TRANSITION = "transition";
    public static final String ARC = "arc";
    public static final String PAGE = "page";
    public static final String PAGE_NODE = "pageNode";
    public static final String REF_PLACE = "referencePlace";
    public static final String REF_TRANSITION = "referenceTransition";
    public static final String REF_LINK = "refLink";
    public static final String REFERENCE = "reference";
    public static final String INHIBITOR_ARC = "inhibitorArc";
    public static final String INHIBITOR_ARC_TYPE = "inhibitor";
    public static final String READ_ARC = "readArc";
    public static final String READ_ARC_TYPE = "read";

    public static final String GRAPH = "graph";
    public static final String NAME_LABEL = "nameLabel";
    public static final String MARKING_LABEL = "markingLabel";
    public static final String ARC_WEIGHT_LABEL = "arcWeightLabel";

    public static final String EDGE_TEXT_LABEL = "edgeTextLabel";
    public static final String LABEL_NODE = "labelNode";


    // DiNeROS types
    public static final String TOPIC_TRANSITION = "topicTransitionType";
    public static final String TOPIC_LINK = "topicLink";
    public static final String TOPIC_LINK_LIMIT_LABEL = "topicLinkLimitLabel";
    public static final String SERVICE_TRANSITION = "serviceTransitionType";
    public static final String SERVICE_CHANNEL = "serviceChannel";
    public static final String SERVICE_CHANNEL_LINK = "serviceChannelLink";
    public static final String SERVER_PAGE = "serverPrototype";
    public static final String SERVICE_SERVER_LINK = "serviceServerLink";

    public static final String DISCRETE_TRANSITION = "discreteTransitionType";
    public static final String SIGNAL_CLAUSE_LABEL = "signalClauseLabel";
    public static final String DINEROS_TOOL_NAME = "de.tudresden.inf.st.pnml.distributedPN";
    public static final String DINEROS_VERSION = "0.1";

    public static final String NODE_PAGE_NODE = "nodePageNode";

    public static final int TOPIC_DEFAULT_LIMIT = 10;


    public static final class DefaultSizes {
        public static final int PageWidth = 500;
        public static final int PageHeight = 500;

        public static final int PlaceWidth = 70;
        public static final int PlaceHeight = 70;

        public static final int TransitionWidth = 30;
        public static final int TransitionHeight = 70;


        // DiNeROS sizes
        public static final int TopicWidth = 100;
        public static final int TopicHeight = 150;
        public static final int ServiceWidth = 100;
        public static final int ServiceHeight = 150;

        public static final int ServiceChannelWidth = 80;
        public static final int ServiceChannelHeight = 40;

        public static final int ServerPageWidth = 250;
        public static final int ServerPageHeight = 250;

        public static final int NodePageNodeWidth = 250;
        public static final int NodePageNodeHeight = 250;
    }

}
