package org.eclipse.glsp.example.javaemf.Simulation;

import org.eclipse.glsp.server.operations.Operation;

import java.util.HashMap;
import java.util.Map;

public class FireTransitionOperation extends Operation {
    public static final String KIND = "FireTransitionOperation";

    private String transitionId;

    private Map<String, String[]> tokens;

    private Map<String, String> args;

    public FireTransitionOperation() {
        super(KIND);
    }

    public FireTransitionOperation(final String transitionId) {
        this(transitionId, null, new HashMap<>());
    }

    public FireTransitionOperation(final String transitionId, final Map<String, String[]> tokens) {
        this(transitionId, tokens, new HashMap<>());
    }

    public FireTransitionOperation(final String transitionId, final Map<String, String[]> tokens, final Map<String, String> args) {
        super(KIND);
        this.transitionId = transitionId;
        this.tokens=tokens;
        this.args = args;
    }

    public String getTransitionId() {
        return transitionId;
    }

    public void setTransitionId(String transitionId) {
        this.transitionId = transitionId;
    }

    public Map<String, String[]> getTokens() {
        return tokens;
    }

    public void setTokens(Map<String, String[]> tokens) {
        this.tokens = tokens;
    }

    public Map<String, String> getArgs() {
        return args;
    }

    public void setArgs(Map<String, String> args) {
        this.args = args;
    }
}
