package org.eclipse.glsp.example.javaemf.Simulation;

import com.google.inject.Inject;
import org.eclipse.emf.common.command.Command;
import org.eclipse.emf.common.command.CompoundCommand;
import org.eclipse.glsp.example.javaemf.model.ExtendedModelState;
import org.eclipse.glsp.server.emf.EMFOperationHandler;
import org.pnml.emf.ptnet.Transition;

import java.util.Optional;

public class FireTransitionOperationHandler extends EMFOperationHandler<FireTransitionOperation> {
    @Inject
    protected ExtendedModelState modelState;

    @Inject
    protected FireTransitionExecutor fireTransitionExecutor;

    @Override
    public Optional<Command> createCommand(FireTransitionOperation fireTransitionOperation) {
        Transition transition = modelState.getIndex()
            .getEObject(fireTransitionOperation.getTransitionId(), Transition.class).orElseThrow(() ->
                new IllegalArgumentException("Net contains no transition with this id."));

        if(!fireTransitionExecutor.isFireable(transition)){
            // TODO emit warning / notification
            return Optional.empty();
        }

        if(fireTransitionOperation.getTokens() != null){
            fireTransitionExecutor.fireTransitionWithBalloonToken(transition, fireTransitionOperation.getTokens());
        } else {
            fireTransitionExecutor.fireTransition(transition);
        }


        return Optional.of(new CompoundCommand());
    }
}
