package org.eclipse.glsp.example.javaemf.action;


import org.eclipse.glsp.server.actions.Action;
import org.eclipse.glsp.server.actions.RequestAction;

import java.util.HashMap;
import java.util.Map;

public class RunTinaAction extends RequestAction<TinaResponseAction> {
    public static final String KIND = "RunTinaAction";

    private String tinaArgs;

    private Map<String, String> args;

    public RunTinaAction() {
        this("");
    }

    public RunTinaAction(final String tinaArgs) {
        this(tinaArgs, new HashMap<>());
    }

    public RunTinaAction(final String tinaArgs, final Map<String, String> args) {
        super(KIND);
        this.tinaArgs = tinaArgs;
        this.args = args;
    }

    public String getTinaArgs() {
        return tinaArgs;
    }

    public void setTinaArgs(String tinaArgs) {
        this.tinaArgs = tinaArgs;
    }

    public Map<String, String> getArgs() {
        return args;
    }

    public void setArgs(Map<String, String> args) {
        this.args = args;
    }
}

