package org.eclipse.glsp.example.javaemf.handler;

import com.google.inject.Inject;
import org.eclipse.emf.common.command.Command;
import org.eclipse.emf.common.command.CompoundCommand;
import org.eclipse.glsp.example.javaemf.model.ExtendedModelState;
import org.eclipse.glsp.example.javaemf.operation.SetPageVisibilityOperation;
import org.eclipse.glsp.server.emf.EMFOperationHandler;


import java.util.Optional;

public class SetPageVisibilityHandler extends EMFOperationHandler<SetPageVisibilityOperation> {

    @Inject
    protected ExtendedModelState modelState;

    @Override
    public Optional<Command> createCommand(SetPageVisibilityOperation operation) {
        String pageId = operation.getPageNodeId();

        modelState.getHiddenPages().put(pageId, operation.isHidden());

        return Optional.of(new CompoundCommand());
    }
}
