package org.eclipse.glsp.example.javaemf.operation;

import org.eclipse.glsp.server.operations.Operation;

import java.util.HashMap;
import java.util.Map;

public class DeleteInputSignalOperation extends Operation {
    public static final String KIND = "DeleteInputSignalOperation";

    private String inputSignalId;

    private Map<String, String> args;

    public DeleteInputSignalOperation() {
        super(KIND);
    }

    public DeleteInputSignalOperation(String signalClause){
        this(signalClause, new HashMap<String, String>());
    }

    public DeleteInputSignalOperation(String signalClause, Map<String, String> args){
        super(KIND);
        this.inputSignalId = signalClause;
        this.args = args;
    }

    public String getInputSignalId() {
        return inputSignalId;
    }

    public void setInputSignalId(String inputSignalId) {
        this.inputSignalId = inputSignalId;
    }

    public Map<String, String> getArgs() {
        return args;
    }

    public void setArgs(Map<String, String> args) {
        this.args = args;
    }
}

