package org.eclipse.glsp.example.javaemf.operation;

import org.eclipse.glsp.server.emf.EMFOperationHandler;
import org.eclipse.glsp.server.operations.Operation;

import java.util.HashMap;
import java.util.Map;

public class EditSignalClauseOperation extends Operation {
    public static final String KIND = "EditSignalClauseOperation";

    private String transitionId;

    private String signalClause;

    private Map<String, String> args;

    public EditSignalClauseOperation() {
        super(KIND);
    }

    public EditSignalClauseOperation(String transitionId, String signalClause){
        this(transitionId, signalClause, new HashMap<String, String>());
    }

    public EditSignalClauseOperation(String transitionId, String signalClause, Map<String, String> args){
        super(KIND);
        this.transitionId = transitionId;
        this.signalClause = signalClause;
        this.args = args;
    }

    public String getTransitionId() {
        return transitionId;
    }

    public void setTransitionId(String transitionId) {
        this.transitionId = transitionId;
    }

    public String getSignalClause() {
        return signalClause;
    }

    public void setSignalClause(String signalClause) {
        this.signalClause = signalClause;
    }

    public Map<String, String> getArgs() {
        return args;
    }

    public void setArgs(Map<String, String> args) {
        this.args = args;
    }
}


