package org.eclipse.glsp.example.javaemf.operation;

import org.eclipse.glsp.server.operations.Operation;

import java.util.HashMap;
import java.util.Map;

public class SetPageVisibilityOperation extends Operation {
    public static final String KIND = "SetPageVisibility";

    private boolean hidden;

    private String pageNodeId;

    private Map<String, String> args;

    public SetPageVisibilityOperation() {
        super(KIND);
    }

    public SetPageVisibilityOperation(final boolean hidden) {
        this(hidden, null, new HashMap<>());
    }
    public SetPageVisibilityOperation(final String pageNodeId) {
        this(false, pageNodeId, new HashMap<>());
    }
    public SetPageVisibilityOperation(final boolean hidden, final String pageNodeId) {
        this(hidden, pageNodeId, new HashMap<>());
    }

    public SetPageVisibilityOperation(final boolean hidden, final String pageNodeId,
                               final Map<String, String> args) {
        super(KIND);
        this.hidden = hidden;
        this.pageNodeId = pageNodeId;
        this.args = args;
    }

    public boolean isHidden() {
        return hidden;
    }

    public void setHidden(boolean hidden) {
        this.hidden = hidden;
    }

    public String getPageNodeId() {
        return pageNodeId;
    }

    public void setPageNodeId(String pageNodeId) {
        this.pageNodeId = pageNodeId;
    }

    public Map<String, String> getArgs() {
        return args;
    }

    public void setArgs(Map<String, String> args) {
        this.args = args;
    }
}
