package org.eclipse.glsp.example.javaemf.validators;

import com.google.inject.Inject;
import org.eclipse.glsp.example.javaemf.model.ExtendedModelState;
import org.eclipse.glsp.example.javaemf.model.ModelAccessUtil;
import org.pnml.emf.ptnet.*;

import java.util.Objects;

public class CyclicReferencesValidator {
    @Inject
    protected ExtendedModelState modelState;

    public boolean wouldBeCyclicReference(RefPlace source, PlaceNode target){
        PlaceNode refedPlace = target;
        while (refedPlace instanceof RefPlace refPlace){
            if(Objects.equals(refPlace, source)){
                return true;
            }
            refedPlace = refPlace.getRef();
        }
        return false;
    }

    public boolean wouldBeCyclicReference(RefTransition source, TransitionNode target){
        TransitionNode refedTransition = target;
        while (refedTransition instanceof RefTransition refTransition){
            if(Objects.equals(refTransition, source)){
                return true;
            }
            refedTransition = refTransition.getRef();
        }
        return false;
    }
}
