/**
 */
package org.pnml.emf.ptnet;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.pnml.emf.ptnet.PtnetFactory
 * @model kind="package"
 * @generated
 */
public interface PtnetPackage extends EPackage {
   /**
    * The package name.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   String eNAME = "ptnet";

   /**
    * The package namespace URI.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   String eNS_URI = "http://www.pnml.org/version-2009/grammar/pnml";

   /**
    * The package namespace name.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   String eNS_PREFIX = "";

   /**
    * The singleton instance of the package.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   PtnetPackage eINSTANCE = org.pnml.emf.ptnet.impl.PtnetPackageImpl.init();

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.LabelImpl <em>Label</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.LabelImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getLabel()
    * @generated
    */
   int LABEL = 8;

   /**
    * The feature id for the '<em><b>Toolspecifics</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int LABEL__TOOLSPECIFICS = 0;

   /**
    * The number of structural features of the '<em>Label</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int LABEL_FEATURE_COUNT = 1;

   /**
    * The number of operations of the '<em>Label</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int LABEL_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.AnnotationImpl <em>Annotation</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.AnnotationImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getAnnotation()
    * @generated
    */
   int ANNOTATION = 29;

   /**
    * The feature id for the '<em><b>Toolspecifics</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ANNOTATION__TOOLSPECIFICS = LABEL__TOOLSPECIFICS;

   /**
    * The feature id for the '<em><b>Annotationgraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ANNOTATION__ANNOTATIONGRAPHICS = LABEL_FEATURE_COUNT + 0;

   /**
    * The number of structural features of the '<em>Annotation</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ANNOTATION_FEATURE_COUNT = LABEL_FEATURE_COUNT + 1;

   /**
    * The number of operations of the '<em>Annotation</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ANNOTATION_OPERATION_COUNT = LABEL_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.PTMarkingImpl <em>PT Marking</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.PTMarkingImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPTMarking()
    * @generated
    */
   int PT_MARKING = 0;

   /**
    * The feature id for the '<em><b>Toolspecifics</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PT_MARKING__TOOLSPECIFICS = ANNOTATION__TOOLSPECIFICS;

   /**
    * The feature id for the '<em><b>Annotationgraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PT_MARKING__ANNOTATIONGRAPHICS = ANNOTATION__ANNOTATIONGRAPHICS;

   /**
    * The feature id for the '<em><b>Text</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PT_MARKING__TEXT = ANNOTATION_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Container Place</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PT_MARKING__CONTAINER_PLACE = ANNOTATION_FEATURE_COUNT + 1;

   /**
    * The number of structural features of the '<em>PT Marking</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PT_MARKING_FEATURE_COUNT = ANNOTATION_FEATURE_COUNT + 2;

   /**
    * The number of operations of the '<em>PT Marking</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PT_MARKING_OPERATION_COUNT = ANNOTATION_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.PTArcAnnotationImpl <em>PT Arc Annotation</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.PTArcAnnotationImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPTArcAnnotation()
    * @generated
    */
   int PT_ARC_ANNOTATION = 1;

   /**
    * The feature id for the '<em><b>Toolspecifics</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PT_ARC_ANNOTATION__TOOLSPECIFICS = ANNOTATION__TOOLSPECIFICS;

   /**
    * The feature id for the '<em><b>Annotationgraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PT_ARC_ANNOTATION__ANNOTATIONGRAPHICS = ANNOTATION__ANNOTATIONGRAPHICS;

   /**
    * The feature id for the '<em><b>Text</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PT_ARC_ANNOTATION__TEXT = ANNOTATION_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Container Arc</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PT_ARC_ANNOTATION__CONTAINER_ARC = ANNOTATION_FEATURE_COUNT + 1;

   /**
    * The number of structural features of the '<em>PT Arc Annotation</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PT_ARC_ANNOTATION_FEATURE_COUNT = ANNOTATION_FEATURE_COUNT + 2;

   /**
    * The number of operations of the '<em>PT Arc Annotation</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PT_ARC_ANNOTATION_OPERATION_COUNT = ANNOTATION_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.pnmlImpl <em>pnml</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.pnmlImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getpnml()
    * @generated
    */
   int PNML = 2;

   /**
    * The feature id for the '<em><b>Net</b></em>' containment reference list.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PNML__NET = 0;

   /**
    * The feature id for the '<em><b>Xmlns</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PNML__XMLNS = 1;

   /**
    * The number of structural features of the '<em>pnml</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PNML_FEATURE_COUNT = 2;

   /**
    * The number of operations of the '<em>pnml</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PNML_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.PetriNetImpl <em>Petri Net</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.PetriNetImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPetriNet()
    * @generated
    */
   int PETRI_NET = 3;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PETRI_NET__ID = 0;

   /**
    * The feature id for the '<em><b>Type</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PETRI_NET__TYPE = 1;

   /**
    * The feature id for the '<em><b>Page</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PETRI_NET__PAGE = 2;

   /**
    * The feature id for the '<em><b>Name</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PETRI_NET__NAME = 3;

   /**
    * The feature id for the '<em><b>Container Petri Net Doc</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PETRI_NET__CONTAINER_PETRI_NET_DOC = 4;

   /**
    * The feature id for the '<em><b>Toolspecific</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PETRI_NET__TOOLSPECIFIC = 5;

   /**
    * The number of structural features of the '<em>Petri Net</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PETRI_NET_FEATURE_COUNT = 6;

   /**
    * The number of operations of the '<em>Petri Net</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PETRI_NET_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.PnObjectImpl <em>Pn Object</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.PnObjectImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPnObject()
    * @generated
    */
   int PN_OBJECT = 5;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PN_OBJECT__ID = 0;

   /**
    * The feature id for the '<em><b>Name</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PN_OBJECT__NAME = 1;

   /**
    * The number of structural features of the '<em>Pn Object</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PN_OBJECT_FEATURE_COUNT = 2;

   /**
    * The number of operations of the '<em>Pn Object</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PN_OBJECT_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.PositionableObjectImpl <em>Positionable Object</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.PositionableObjectImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPositionableObject()
    * @generated
    */
   int POSITIONABLE_OBJECT = 34;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int POSITIONABLE_OBJECT__ID = PN_OBJECT__ID;

   /**
    * The feature id for the '<em><b>Name</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int POSITIONABLE_OBJECT__NAME = PN_OBJECT__NAME;

   /**
    * The feature id for the '<em><b>Nodegraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int POSITIONABLE_OBJECT__NODEGRAPHICS = PN_OBJECT_FEATURE_COUNT + 0;

   /**
    * The number of structural features of the '<em>Positionable Object</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int POSITIONABLE_OBJECT_FEATURE_COUNT = PN_OBJECT_FEATURE_COUNT + 1;

   /**
    * The number of operations of the '<em>Positionable Object</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int POSITIONABLE_OBJECT_OPERATION_COUNT = PN_OBJECT_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.PageImpl <em>Page</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.PageImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPage()
    * @generated
    */
   int PAGE = 4;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE__ID = POSITIONABLE_OBJECT__ID;

   /**
    * The feature id for the '<em><b>Name</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE__NAME = POSITIONABLE_OBJECT__NAME;

   /**
    * The feature id for the '<em><b>Nodegraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE__NODEGRAPHICS = POSITIONABLE_OBJECT__NODEGRAPHICS;

   /**
    * The feature id for the '<em><b>Arc</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE__ARC = POSITIONABLE_OBJECT_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Container Petri Net</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE__CONTAINER_PETRI_NET = POSITIONABLE_OBJECT_FEATURE_COUNT + 1;

   /**
    * The feature id for the '<em><b>Place</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE__PLACE = POSITIONABLE_OBJECT_FEATURE_COUNT + 2;

   /**
    * The feature id for the '<em><b>Transition</b></em>' containment reference list.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE__TRANSITION = POSITIONABLE_OBJECT_FEATURE_COUNT + 3;

   /**
    * The feature id for the '<em><b>Page</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE__PAGE = POSITIONABLE_OBJECT_FEATURE_COUNT + 4;

   /**
    * The feature id for the '<em><b>Container Page</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE__CONTAINER_PAGE = POSITIONABLE_OBJECT_FEATURE_COUNT + 5;

   /**
    * The feature id for the '<em><b>Reference Place</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE__REFERENCE_PLACE = POSITIONABLE_OBJECT_FEATURE_COUNT + 6;

   /**
    * The feature id for the '<em><b>Reference Transition</b></em>' containment reference list.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE__REFERENCE_TRANSITION = POSITIONABLE_OBJECT_FEATURE_COUNT + 7;

   /**
    * The feature id for the '<em><b>Read Arc</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE__READ_ARC = POSITIONABLE_OBJECT_FEATURE_COUNT + 8;

   /**
    * The feature id for the '<em><b>Inhibitor Arc</b></em>' containment reference list.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE__INHIBITOR_ARC = POSITIONABLE_OBJECT_FEATURE_COUNT + 9;

   /**
    * The feature id for the '<em><b>Toolspecific</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE__TOOLSPECIFIC = POSITIONABLE_OBJECT_FEATURE_COUNT + 10;

   /**
    * The number of structural features of the '<em>Page</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE_FEATURE_COUNT = POSITIONABLE_OBJECT_FEATURE_COUNT + 11;

   /**
    * The number of operations of the '<em>Page</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PAGE_OPERATION_COUNT = POSITIONABLE_OBJECT_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.NameImpl <em>Name</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.NameImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getName_()
    * @generated
    */
   int NAME = 6;

   /**
    * The feature id for the '<em><b>Toolspecifics</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NAME__TOOLSPECIFICS = ANNOTATION__TOOLSPECIFICS;

   /**
    * The feature id for the '<em><b>Annotationgraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NAME__ANNOTATIONGRAPHICS = ANNOTATION__ANNOTATIONGRAPHICS;

   /**
    * The feature id for the '<em><b>Text</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NAME__TEXT = ANNOTATION_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Container Name Petri Net</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NAME__CONTAINER_NAME_PETRI_NET = ANNOTATION_FEATURE_COUNT + 1;

   /**
    * The feature id for the '<em><b>Container Name Pn Object</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NAME__CONTAINER_NAME_PN_OBJECT = ANNOTATION_FEATURE_COUNT + 2;

   /**
    * The number of structural features of the '<em>Name</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NAME_FEATURE_COUNT = ANNOTATION_FEATURE_COUNT + 3;

   /**
    * The number of operations of the '<em>Name</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NAME_OPERATION_COUNT = ANNOTATION_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.ToolInfoImpl <em>Tool Info</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.ToolInfoImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getToolInfo()
    * @generated
    */
   int TOOL_INFO = 7;

   /**
    * The feature id for the '<em><b>Tool</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO__TOOL = 0;

   /**
    * The feature id for the '<em><b>Version</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO__VERSION = 1;

   /**
    * The feature id for the '<em><b>Formatted XML Buffer</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO__FORMATTED_XML_BUFFER = 2;

   /**
    * The feature id for the '<em><b>Tool Info Grammar URI</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO__TOOL_INFO_GRAMMAR_URI = 3;

   /**
    * The feature id for the '<em><b>Container Label</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO__CONTAINER_LABEL = 4;

   /**
    * The feature id for the '<em><b>Tool Info Model</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO__TOOL_INFO_MODEL = 5;

   /**
    * The feature id for the '<em><b>Type</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO__TYPE = 6;

   /**
    * The feature id for the '<em><b>Arc</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO__ARC = 7;

   /**
    * The number of structural features of the '<em>Tool Info</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_FEATURE_COUNT = 8;

   /**
    * The number of operations of the '<em>Tool Info</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.GraphicsImpl <em>Graphics</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.GraphicsImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getGraphics()
    * @generated
    */
   int GRAPHICS = 10;

   /**
    * The number of structural features of the '<em>Graphics</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int GRAPHICS_FEATURE_COUNT = 0;

   /**
    * The number of operations of the '<em>Graphics</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int GRAPHICS_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.NodeGraphicsImpl <em>Node Graphics</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.NodeGraphicsImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getNodeGraphics()
    * @generated
    */
   int NODE_GRAPHICS = 9;

   /**
    * The feature id for the '<em><b>Position</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NODE_GRAPHICS__POSITION = GRAPHICS_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Dimension</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NODE_GRAPHICS__DIMENSION = GRAPHICS_FEATURE_COUNT + 1;

   /**
    * The feature id for the '<em><b>Fill</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NODE_GRAPHICS__FILL = GRAPHICS_FEATURE_COUNT + 2;

   /**
    * The feature id for the '<em><b>Line</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NODE_GRAPHICS__LINE = GRAPHICS_FEATURE_COUNT + 3;

   /**
    * The feature id for the '<em><b>Container Object</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NODE_GRAPHICS__CONTAINER_OBJECT = GRAPHICS_FEATURE_COUNT + 4;

   /**
    * The number of structural features of the '<em>Node Graphics</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NODE_GRAPHICS_FEATURE_COUNT = GRAPHICS_FEATURE_COUNT + 5;

   /**
    * The number of operations of the '<em>Node Graphics</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NODE_GRAPHICS_OPERATION_COUNT = GRAPHICS_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.CoordinateImpl <em>Coordinate</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.CoordinateImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getCoordinate()
    * @generated
    */
   int COORDINATE = 11;

   /**
    * The feature id for the '<em><b>X</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int COORDINATE__X = 0;

   /**
    * The feature id for the '<em><b>Y</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int COORDINATE__Y = 1;

   /**
    * The number of structural features of the '<em>Coordinate</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int COORDINATE_FEATURE_COUNT = 2;

   /**
    * The number of operations of the '<em>Coordinate</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int COORDINATE_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.PositionImpl <em>Position</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.PositionImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPosition()
    * @generated
    */
   int POSITION = 12;

   /**
    * The feature id for the '<em><b>X</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int POSITION__X = COORDINATE__X;

   /**
    * The feature id for the '<em><b>Y</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int POSITION__Y = COORDINATE__Y;

   /**
    * The feature id for the '<em><b>Container Arc Graphics</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int POSITION__CONTAINER_ARC_GRAPHICS = COORDINATE_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Container PNode Graphics</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int POSITION__CONTAINER_PNODE_GRAPHICS = COORDINATE_FEATURE_COUNT + 1;

   /**
    * The number of structural features of the '<em>Position</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int POSITION_FEATURE_COUNT = COORDINATE_FEATURE_COUNT + 2;

   /**
    * The number of operations of the '<em>Position</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int POSITION_OPERATION_COUNT = COORDINATE_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.OffsetImpl <em>Offset</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.OffsetImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getOffset()
    * @generated
    */
   int OFFSET = 13;

   /**
    * The feature id for the '<em><b>X</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int OFFSET__X = COORDINATE__X;

   /**
    * The feature id for the '<em><b>Y</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int OFFSET__Y = COORDINATE__Y;

   /**
    * The feature id for the '<em><b>Container Annotation Graphics</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int OFFSET__CONTAINER_ANNOTATION_GRAPHICS = COORDINATE_FEATURE_COUNT + 0;

   /**
    * The number of structural features of the '<em>Offset</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int OFFSET_FEATURE_COUNT = COORDINATE_FEATURE_COUNT + 1;

   /**
    * The number of operations of the '<em>Offset</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int OFFSET_OPERATION_COUNT = COORDINATE_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.DimensionImpl <em>Dimension</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.DimensionImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getDimension()
    * @generated
    */
   int DIMENSION = 14;

   /**
    * The feature id for the '<em><b>X</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int DIMENSION__X = COORDINATE__X;

   /**
    * The feature id for the '<em><b>Y</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int DIMENSION__Y = COORDINATE__Y;

   /**
    * The feature id for the '<em><b>Container DNode Graphics</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int DIMENSION__CONTAINER_DNODE_GRAPHICS = COORDINATE_FEATURE_COUNT + 0;

   /**
    * The number of structural features of the '<em>Dimension</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int DIMENSION_FEATURE_COUNT = COORDINATE_FEATURE_COUNT + 1;

   /**
    * The number of operations of the '<em>Dimension</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int DIMENSION_OPERATION_COUNT = COORDINATE_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.AnnotationGraphicsImpl <em>Annotation Graphics</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.AnnotationGraphicsImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getAnnotationGraphics()
    * @generated
    */
   int ANNOTATION_GRAPHICS = 15;

   /**
    * The feature id for the '<em><b>Offset</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ANNOTATION_GRAPHICS__OFFSET = GRAPHICS_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Fill</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ANNOTATION_GRAPHICS__FILL = GRAPHICS_FEATURE_COUNT + 1;

   /**
    * The feature id for the '<em><b>Line</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ANNOTATION_GRAPHICS__LINE = GRAPHICS_FEATURE_COUNT + 2;

   /**
    * The feature id for the '<em><b>Font</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ANNOTATION_GRAPHICS__FONT = GRAPHICS_FEATURE_COUNT + 3;

   /**
    * The feature id for the '<em><b>Container Annotation</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ANNOTATION_GRAPHICS__CONTAINER_ANNOTATION = GRAPHICS_FEATURE_COUNT + 4;

   /**
    * The number of structural features of the '<em>Annotation Graphics</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ANNOTATION_GRAPHICS_FEATURE_COUNT = GRAPHICS_FEATURE_COUNT + 5;

   /**
    * The number of operations of the '<em>Annotation Graphics</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ANNOTATION_GRAPHICS_OPERATION_COUNT = GRAPHICS_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.FillImpl <em>Fill</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.FillImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getFill()
    * @generated
    */
   int FILL = 16;

   /**
    * The feature id for the '<em><b>Color</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FILL__COLOR = 0;

   /**
    * The feature id for the '<em><b>Gradientcolor</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FILL__GRADIENTCOLOR = 1;

   /**
    * The feature id for the '<em><b>Gradientrotation</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FILL__GRADIENTROTATION = 2;

   /**
    * The feature id for the '<em><b>Image</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FILL__IMAGE = 3;

   /**
    * The feature id for the '<em><b>Container Node Graphics</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FILL__CONTAINER_NODE_GRAPHICS = 4;

   /**
    * The feature id for the '<em><b>Container Annotation Graphics</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FILL__CONTAINER_ANNOTATION_GRAPHICS = 5;

   /**
    * The number of structural features of the '<em>Fill</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FILL_FEATURE_COUNT = 6;

   /**
    * The number of operations of the '<em>Fill</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FILL_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.LineImpl <em>Line</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.LineImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getLine()
    * @generated
    */
   int LINE = 17;

   /**
    * The feature id for the '<em><b>Color</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int LINE__COLOR = 0;

   /**
    * The feature id for the '<em><b>Shape</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int LINE__SHAPE = 1;

   /**
    * The feature id for the '<em><b>Width</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int LINE__WIDTH = 2;

   /**
    * The feature id for the '<em><b>Container Node Graphics</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int LINE__CONTAINER_NODE_GRAPHICS = 3;

   /**
    * The feature id for the '<em><b>Container Arc Graphics</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int LINE__CONTAINER_ARC_GRAPHICS = 4;

   /**
    * The feature id for the '<em><b>Container Annotation Graphics</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int LINE__CONTAINER_ANNOTATION_GRAPHICS = 5;

   /**
    * The feature id for the '<em><b>Style</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int LINE__STYLE = 6;

   /**
    * The number of structural features of the '<em>Line</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int LINE_FEATURE_COUNT = 7;

   /**
    * The number of operations of the '<em>Line</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int LINE_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.ArcGraphicsImpl <em>Arc Graphics</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.ArcGraphicsImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getArcGraphics()
    * @generated
    */
   int ARC_GRAPHICS = 18;

   /**
    * The feature id for the '<em><b>Positions</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ARC_GRAPHICS__POSITIONS = GRAPHICS_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Line</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ARC_GRAPHICS__LINE = GRAPHICS_FEATURE_COUNT + 1;

   /**
    * The feature id for the '<em><b>Container Arc</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ARC_GRAPHICS__CONTAINER_ARC = GRAPHICS_FEATURE_COUNT + 2;

   /**
    * The number of structural features of the '<em>Arc Graphics</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ARC_GRAPHICS_FEATURE_COUNT = GRAPHICS_FEATURE_COUNT + 3;

   /**
    * The number of operations of the '<em>Arc Graphics</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ARC_GRAPHICS_OPERATION_COUNT = GRAPHICS_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.EdgeImpl <em>Edge</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.EdgeImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getEdge()
    * @generated
    */
   int EDGE = 31;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int EDGE__ID = PN_OBJECT__ID;

   /**
    * The feature id for the '<em><b>Name</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int EDGE__NAME = PN_OBJECT__NAME;

   /**
    * The feature id for the '<em><b>Arcgraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int EDGE__ARCGRAPHICS = PN_OBJECT_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Inscription</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int EDGE__INSCRIPTION = PN_OBJECT_FEATURE_COUNT + 1;

   /**
    * The number of structural features of the '<em>Edge</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int EDGE_FEATURE_COUNT = PN_OBJECT_FEATURE_COUNT + 2;

   /**
    * The number of operations of the '<em>Edge</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int EDGE_OPERATION_COUNT = PN_OBJECT_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.ArcImpl <em>Arc</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.ArcImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getArc()
    * @generated
    */
   int ARC = 19;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ARC__ID = EDGE__ID;

   /**
    * The feature id for the '<em><b>Name</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ARC__NAME = EDGE__NAME;

   /**
    * The feature id for the '<em><b>Arcgraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ARC__ARCGRAPHICS = EDGE__ARCGRAPHICS;

   /**
    * The feature id for the '<em><b>Inscription</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ARC__INSCRIPTION = EDGE__INSCRIPTION;

   /**
    * The feature id for the '<em><b>Source</b></em>' reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ARC__SOURCE = EDGE_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Target</b></em>' reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ARC__TARGET = EDGE_FEATURE_COUNT + 1;

   /**
    * The feature id for the '<em><b>Container Page</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ARC__CONTAINER_PAGE = EDGE_FEATURE_COUNT + 2;

   /**
    * The feature id for the '<em><b>Toolspecific</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ARC__TOOLSPECIFIC = EDGE_FEATURE_COUNT + 3;

   /**
    * The number of structural features of the '<em>Arc</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ARC_FEATURE_COUNT = EDGE_FEATURE_COUNT + 4;

   /**
    * The number of operations of the '<em>Arc</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ARC_OPERATION_COUNT = EDGE_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.NodeImpl <em>Node</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.NodeImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getNode()
    * @generated
    */
   int NODE = 20;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NODE__ID = POSITIONABLE_OBJECT__ID;

   /**
    * The feature id for the '<em><b>Name</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NODE__NAME = POSITIONABLE_OBJECT__NAME;

   /**
    * The feature id for the '<em><b>Nodegraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NODE__NODEGRAPHICS = POSITIONABLE_OBJECT__NODEGRAPHICS;

   /**
    * The feature id for the '<em><b>In Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NODE__IN_ARCS = POSITIONABLE_OBJECT_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Out Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NODE__OUT_ARCS = POSITIONABLE_OBJECT_FEATURE_COUNT + 1;

   /**
    * The number of structural features of the '<em>Node</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NODE_FEATURE_COUNT = POSITIONABLE_OBJECT_FEATURE_COUNT + 2;

   /**
    * The number of operations of the '<em>Node</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int NODE_OPERATION_COUNT = POSITIONABLE_OBJECT_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.FontImpl <em>Font</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.FontImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getFont()
    * @generated
    */
   int FONT = 21;

   /**
    * The feature id for the '<em><b>Align</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FONT__ALIGN = 0;

   /**
    * The feature id for the '<em><b>Decoration</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FONT__DECORATION = 1;

   /**
    * The feature id for the '<em><b>Family</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FONT__FAMILY = 2;

   /**
    * The feature id for the '<em><b>Rotation</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FONT__ROTATION = 3;

   /**
    * The feature id for the '<em><b>Size</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FONT__SIZE = 4;

   /**
    * The feature id for the '<em><b>Style</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FONT__STYLE = 5;

   /**
    * The feature id for the '<em><b>Weight</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FONT__WEIGHT = 6;

   /**
    * The feature id for the '<em><b>Container Annotation Graphics</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FONT__CONTAINER_ANNOTATION_GRAPHICS = 7;

   /**
    * The number of structural features of the '<em>Font</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FONT_FEATURE_COUNT = 8;

   /**
    * The number of operations of the '<em>Font</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int FONT_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.PlaceNodeImpl <em>Place Node</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.PlaceNodeImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPlaceNode()
    * @generated
    */
   int PLACE_NODE = 22;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE_NODE__ID = NODE__ID;

   /**
    * The feature id for the '<em><b>Name</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE_NODE__NAME = NODE__NAME;

   /**
    * The feature id for the '<em><b>Nodegraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE_NODE__NODEGRAPHICS = NODE__NODEGRAPHICS;

   /**
    * The feature id for the '<em><b>In Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE_NODE__IN_ARCS = NODE__IN_ARCS;

   /**
    * The feature id for the '<em><b>Out Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE_NODE__OUT_ARCS = NODE__OUT_ARCS;

   /**
    * The feature id for the '<em><b>Referencing Places</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE_NODE__REFERENCING_PLACES = NODE_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Inhibitor Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE_NODE__INHIBITOR_ARCS = NODE_FEATURE_COUNT + 1;

   /**
    * The feature id for the '<em><b>Read Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE_NODE__READ_ARCS = NODE_FEATURE_COUNT + 2;

   /**
    * The number of structural features of the '<em>Place Node</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE_NODE_FEATURE_COUNT = NODE_FEATURE_COUNT + 3;

   /**
    * The number of operations of the '<em>Place Node</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE_NODE_OPERATION_COUNT = NODE_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.TransitionNodeImpl <em>Transition Node</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.TransitionNodeImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getTransitionNode()
    * @generated
    */
   int TRANSITION_NODE = 23;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION_NODE__ID = NODE__ID;

   /**
    * The feature id for the '<em><b>Name</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION_NODE__NAME = NODE__NAME;

   /**
    * The feature id for the '<em><b>Nodegraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION_NODE__NODEGRAPHICS = NODE__NODEGRAPHICS;

   /**
    * The feature id for the '<em><b>In Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION_NODE__IN_ARCS = NODE__IN_ARCS;

   /**
    * The feature id for the '<em><b>Out Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION_NODE__OUT_ARCS = NODE__OUT_ARCS;

   /**
    * The feature id for the '<em><b>Referencing Transitions</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION_NODE__REFERENCING_TRANSITIONS = NODE_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Inhibitor Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION_NODE__INHIBITOR_ARCS = NODE_FEATURE_COUNT + 1;

   /**
    * The feature id for the '<em><b>Read Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION_NODE__READ_ARCS = NODE_FEATURE_COUNT + 2;

   /**
    * The number of structural features of the '<em>Transition Node</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION_NODE_FEATURE_COUNT = NODE_FEATURE_COUNT + 3;

   /**
    * The number of operations of the '<em>Transition Node</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION_NODE_OPERATION_COUNT = NODE_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.PlaceImpl <em>Place</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.PlaceImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPlace()
    * @generated
    */
   int PLACE = 24;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE__ID = PLACE_NODE__ID;

   /**
    * The feature id for the '<em><b>Name</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE__NAME = PLACE_NODE__NAME;

   /**
    * The feature id for the '<em><b>Nodegraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE__NODEGRAPHICS = PLACE_NODE__NODEGRAPHICS;

   /**
    * The feature id for the '<em><b>In Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE__IN_ARCS = PLACE_NODE__IN_ARCS;

   /**
    * The feature id for the '<em><b>Out Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE__OUT_ARCS = PLACE_NODE__OUT_ARCS;

   /**
    * The feature id for the '<em><b>Referencing Places</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE__REFERENCING_PLACES = PLACE_NODE__REFERENCING_PLACES;

   /**
    * The feature id for the '<em><b>Inhibitor Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE__INHIBITOR_ARCS = PLACE_NODE__INHIBITOR_ARCS;

   /**
    * The feature id for the '<em><b>Read Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE__READ_ARCS = PLACE_NODE__READ_ARCS;

   /**
    * The feature id for the '<em><b>Initial Marking</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE__INITIAL_MARKING = PLACE_NODE_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Container Page</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE__CONTAINER_PAGE = PLACE_NODE_FEATURE_COUNT + 1;

   /**
    * The feature id for the '<em><b>Toolspecific</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE__TOOLSPECIFIC = PLACE_NODE_FEATURE_COUNT + 2;

   /**
    * The number of structural features of the '<em>Place</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE_FEATURE_COUNT = PLACE_NODE_FEATURE_COUNT + 3;

   /**
    * The number of operations of the '<em>Place</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PLACE_OPERATION_COUNT = PLACE_NODE_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.RefTransitionImpl <em>Ref Transition</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.RefTransitionImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getRefTransition()
    * @generated
    */
   int REF_TRANSITION = 25;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_TRANSITION__ID = TRANSITION_NODE__ID;

   /**
    * The feature id for the '<em><b>Name</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_TRANSITION__NAME = TRANSITION_NODE__NAME;

   /**
    * The feature id for the '<em><b>Nodegraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_TRANSITION__NODEGRAPHICS = TRANSITION_NODE__NODEGRAPHICS;

   /**
    * The feature id for the '<em><b>In Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_TRANSITION__IN_ARCS = TRANSITION_NODE__IN_ARCS;

   /**
    * The feature id for the '<em><b>Out Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_TRANSITION__OUT_ARCS = TRANSITION_NODE__OUT_ARCS;

   /**
    * The feature id for the '<em><b>Referencing Transitions</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_TRANSITION__REFERENCING_TRANSITIONS = TRANSITION_NODE__REFERENCING_TRANSITIONS;

   /**
    * The feature id for the '<em><b>Inhibitor Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_TRANSITION__INHIBITOR_ARCS = TRANSITION_NODE__INHIBITOR_ARCS;

   /**
    * The feature id for the '<em><b>Read Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_TRANSITION__READ_ARCS = TRANSITION_NODE__READ_ARCS;

   /**
    * The feature id for the '<em><b>Ref</b></em>' reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_TRANSITION__REF = TRANSITION_NODE_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Container Page</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_TRANSITION__CONTAINER_PAGE = TRANSITION_NODE_FEATURE_COUNT + 1;

   /**
    * The feature id for the '<em><b>Toolspecific</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_TRANSITION__TOOLSPECIFIC = TRANSITION_NODE_FEATURE_COUNT + 2;

   /**
    * The number of structural features of the '<em>Ref Transition</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_TRANSITION_FEATURE_COUNT = TRANSITION_NODE_FEATURE_COUNT + 3;

   /**
    * The number of operations of the '<em>Ref Transition</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_TRANSITION_OPERATION_COUNT = TRANSITION_NODE_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.TransitionImpl <em>Transition</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.TransitionImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getTransition()
    * @generated
    */
   int TRANSITION = 26;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION__ID = TRANSITION_NODE__ID;

   /**
    * The feature id for the '<em><b>Name</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION__NAME = TRANSITION_NODE__NAME;

   /**
    * The feature id for the '<em><b>Nodegraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION__NODEGRAPHICS = TRANSITION_NODE__NODEGRAPHICS;

   /**
    * The feature id for the '<em><b>In Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION__IN_ARCS = TRANSITION_NODE__IN_ARCS;

   /**
    * The feature id for the '<em><b>Out Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION__OUT_ARCS = TRANSITION_NODE__OUT_ARCS;

   /**
    * The feature id for the '<em><b>Referencing Transitions</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION__REFERENCING_TRANSITIONS = TRANSITION_NODE__REFERENCING_TRANSITIONS;

   /**
    * The feature id for the '<em><b>Inhibitor Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION__INHIBITOR_ARCS = TRANSITION_NODE__INHIBITOR_ARCS;

   /**
    * The feature id for the '<em><b>Read Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION__READ_ARCS = TRANSITION_NODE__READ_ARCS;

   /**
    * The feature id for the '<em><b>Container Page</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION__CONTAINER_PAGE = TRANSITION_NODE_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Toolspecific</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION__TOOLSPECIFIC = TRANSITION_NODE_FEATURE_COUNT + 1;

   /**
    * The number of structural features of the '<em>Transition</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION_FEATURE_COUNT = TRANSITION_NODE_FEATURE_COUNT + 2;

   /**
    * The number of operations of the '<em>Transition</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRANSITION_OPERATION_COUNT = TRANSITION_NODE_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.RefPlaceImpl <em>Ref Place</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.RefPlaceImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getRefPlace()
    * @generated
    */
   int REF_PLACE = 27;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_PLACE__ID = PLACE_NODE__ID;

   /**
    * The feature id for the '<em><b>Name</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_PLACE__NAME = PLACE_NODE__NAME;

   /**
    * The feature id for the '<em><b>Nodegraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_PLACE__NODEGRAPHICS = PLACE_NODE__NODEGRAPHICS;

   /**
    * The feature id for the '<em><b>In Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_PLACE__IN_ARCS = PLACE_NODE__IN_ARCS;

   /**
    * The feature id for the '<em><b>Out Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_PLACE__OUT_ARCS = PLACE_NODE__OUT_ARCS;

   /**
    * The feature id for the '<em><b>Referencing Places</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_PLACE__REFERENCING_PLACES = PLACE_NODE__REFERENCING_PLACES;

   /**
    * The feature id for the '<em><b>Inhibitor Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_PLACE__INHIBITOR_ARCS = PLACE_NODE__INHIBITOR_ARCS;

   /**
    * The feature id for the '<em><b>Read Arcs</b></em>' reference list.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_PLACE__READ_ARCS = PLACE_NODE__READ_ARCS;

   /**
    * The feature id for the '<em><b>Ref</b></em>' reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_PLACE__REF = PLACE_NODE_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Container Page</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_PLACE__CONTAINER_PAGE = PLACE_NODE_FEATURE_COUNT + 1;

   /**
    * The feature id for the '<em><b>Toolspecific</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_PLACE__TOOLSPECIFIC = PLACE_NODE_FEATURE_COUNT + 2;

   /**
    * The number of structural features of the '<em>Ref Place</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_PLACE_FEATURE_COUNT = PLACE_NODE_FEATURE_COUNT + 3;

   /**
    * The number of operations of the '<em>Ref Place</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REF_PLACE_OPERATION_COUNT = PLACE_NODE_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.AttributeImpl <em>Attribute</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.AttributeImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getAttribute()
    * @generated
    */
   int ATTRIBUTE = 28;

   /**
    * The feature id for the '<em><b>Toolspecifics</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ATTRIBUTE__TOOLSPECIFICS = LABEL__TOOLSPECIFICS;

   /**
    * The number of structural features of the '<em>Attribute</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ATTRIBUTE_FEATURE_COUNT = LABEL_FEATURE_COUNT + 0;

   /**
    * The number of operations of the '<em>Attribute</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ATTRIBUTE_OPERATION_COUNT = LABEL_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.AnyObjectImpl <em>Any Object</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.AnyObjectImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getAnyObject()
    * @generated
    */
   int ANY_OBJECT = 30;

   /**
    * The feature id for the '<em><b>Container Tool Info</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ANY_OBJECT__CONTAINER_TOOL_INFO = 0;

   /**
    * The number of structural features of the '<em>Any Object</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ANY_OBJECT_FEATURE_COUNT = 1;

   /**
    * The number of operations of the '<em>Any Object</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int ANY_OBJECT_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.InhibitorArcImpl <em>Inhibitor Arc</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.InhibitorArcImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getInhibitorArc()
    * @generated
    */
   int INHIBITOR_ARC = 32;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INHIBITOR_ARC__ID = EDGE__ID;

   /**
    * The feature id for the '<em><b>Name</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INHIBITOR_ARC__NAME = EDGE__NAME;

   /**
    * The feature id for the '<em><b>Arcgraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INHIBITOR_ARC__ARCGRAPHICS = EDGE__ARCGRAPHICS;

   /**
    * The feature id for the '<em><b>Inscription</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INHIBITOR_ARC__INSCRIPTION = EDGE__INSCRIPTION;

   /**
    * The feature id for the '<em><b>Page</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INHIBITOR_ARC__PAGE = EDGE_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Source</b></em>' reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INHIBITOR_ARC__SOURCE = EDGE_FEATURE_COUNT + 1;

   /**
    * The feature id for the '<em><b>Target</b></em>' reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INHIBITOR_ARC__TARGET = EDGE_FEATURE_COUNT + 2;

   /**
    * The number of structural features of the '<em>Inhibitor Arc</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INHIBITOR_ARC_FEATURE_COUNT = EDGE_FEATURE_COUNT + 3;

   /**
    * The number of operations of the '<em>Inhibitor Arc</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INHIBITOR_ARC_OPERATION_COUNT = EDGE_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.ReadArcImpl <em>Read Arc</em>}' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.ReadArcImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getReadArc()
    * @generated
    */
   int READ_ARC = 33;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int READ_ARC__ID = EDGE__ID;

   /**
    * The feature id for the '<em><b>Name</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int READ_ARC__NAME = EDGE__NAME;

   /**
    * The feature id for the '<em><b>Arcgraphics</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int READ_ARC__ARCGRAPHICS = EDGE__ARCGRAPHICS;

   /**
    * The feature id for the '<em><b>Inscription</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int READ_ARC__INSCRIPTION = EDGE__INSCRIPTION;

   /**
    * The feature id for the '<em><b>Container Page</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int READ_ARC__CONTAINER_PAGE = EDGE_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Source</b></em>' reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int READ_ARC__SOURCE = EDGE_FEATURE_COUNT + 1;

   /**
    * The feature id for the '<em><b>Target</b></em>' reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int READ_ARC__TARGET = EDGE_FEATURE_COUNT + 2;

   /**
    * The number of structural features of the '<em>Read Arc</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int READ_ARC_FEATURE_COUNT = EDGE_FEATURE_COUNT + 3;

   /**
    * The number of operations of the '<em>Read Arc</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int READ_ARC_OPERATION_COUNT = EDGE_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.ToolInfoNodeImpl <em>Tool Info Node</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.ToolInfoNodeImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getToolInfoNode()
    * @generated
    */
   int TOOL_INFO_NODE = 49;

   /**
    * The feature id for the '<em><b>Tool</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NODE__TOOL = TOOL_INFO__TOOL;

   /**
    * The feature id for the '<em><b>Version</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NODE__VERSION = TOOL_INFO__VERSION;

   /**
    * The feature id for the '<em><b>Formatted XML Buffer</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NODE__FORMATTED_XML_BUFFER = TOOL_INFO__FORMATTED_XML_BUFFER;

   /**
    * The feature id for the '<em><b>Tool Info Grammar URI</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NODE__TOOL_INFO_GRAMMAR_URI = TOOL_INFO__TOOL_INFO_GRAMMAR_URI;

   /**
    * The feature id for the '<em><b>Container Label</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NODE__CONTAINER_LABEL = TOOL_INFO__CONTAINER_LABEL;

   /**
    * The feature id for the '<em><b>Tool Info Model</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NODE__TOOL_INFO_MODEL = TOOL_INFO__TOOL_INFO_MODEL;

   /**
    * The feature id for the '<em><b>Type</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NODE__TYPE = TOOL_INFO__TYPE;

   /**
    * The feature id for the '<em><b>Arc</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NODE__ARC = TOOL_INFO__ARC;

   /**
    * The feature id for the '<em><b>Node</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NODE__NODE = TOOL_INFO_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Subnet</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NODE__SUBNET = TOOL_INFO_FEATURE_COUNT + 1;

   /**
    * The feature id for the '<em><b>Ref Transition</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NODE__REF_TRANSITION = TOOL_INFO_FEATURE_COUNT + 2;

   /**
    * The feature id for the '<em><b>Ref Place</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NODE__REF_PLACE = TOOL_INFO_FEATURE_COUNT + 3;

   /**
    * The number of structural features of the '<em>Tool Info Node</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NODE_FEATURE_COUNT = TOOL_INFO_FEATURE_COUNT + 4;

   /**
    * The number of operations of the '<em>Tool Info Node</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NODE_OPERATION_COUNT = TOOL_INFO_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.ToolInfoPlaceImpl <em>Tool Info Place</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.ToolInfoPlaceImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getToolInfoPlace()
    * @generated
    */
   int TOOL_INFO_PLACE = 35;

   /**
    * The feature id for the '<em><b>Tool</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE__TOOL = TOOL_INFO_NODE__TOOL;

   /**
    * The feature id for the '<em><b>Version</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE__VERSION = TOOL_INFO_NODE__VERSION;

   /**
    * The feature id for the '<em><b>Formatted XML Buffer</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE__FORMATTED_XML_BUFFER = TOOL_INFO_NODE__FORMATTED_XML_BUFFER;

   /**
    * The feature id for the '<em><b>Tool Info Grammar URI</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE__TOOL_INFO_GRAMMAR_URI = TOOL_INFO_NODE__TOOL_INFO_GRAMMAR_URI;

   /**
    * The feature id for the '<em><b>Container Label</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE__CONTAINER_LABEL = TOOL_INFO_NODE__CONTAINER_LABEL;

   /**
    * The feature id for the '<em><b>Tool Info Model</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE__TOOL_INFO_MODEL = TOOL_INFO_NODE__TOOL_INFO_MODEL;

   /**
    * The feature id for the '<em><b>Type</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE__TYPE = TOOL_INFO_NODE__TYPE;

   /**
    * The feature id for the '<em><b>Arc</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE__ARC = TOOL_INFO_NODE__ARC;

   /**
    * The feature id for the '<em><b>Node</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE__NODE = TOOL_INFO_NODE__NODE;

   /**
    * The feature id for the '<em><b>Subnet</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE__SUBNET = TOOL_INFO_NODE__SUBNET;

   /**
    * The feature id for the '<em><b>Ref Transition</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE__REF_TRANSITION = TOOL_INFO_NODE__REF_TRANSITION;

   /**
    * The feature id for the '<em><b>Ref Place</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE__REF_PLACE = TOOL_INFO_NODE__REF_PLACE;

   /**
    * The feature id for the '<em><b>Balloon Marking</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE__BALLOON_MARKING = TOOL_INFO_NODE_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Place</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE__PLACE = TOOL_INFO_NODE_FEATURE_COUNT + 1;

   /**
    * The number of structural features of the '<em>Tool Info Place</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE_FEATURE_COUNT = TOOL_INFO_NODE_FEATURE_COUNT + 2;

   /**
    * The number of operations of the '<em>Tool Info Place</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PLACE_OPERATION_COUNT = TOOL_INFO_NODE_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.ToolInfoTransitionImpl <em>Tool Info Transition</em>}' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.ToolInfoTransitionImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getToolInfoTransition()
    * @generated
    */
   int TOOL_INFO_TRANSITION = 36;

   /**
    * The feature id for the '<em><b>Tool</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__TOOL = TOOL_INFO_NODE__TOOL;

   /**
    * The feature id for the '<em><b>Version</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__VERSION = TOOL_INFO_NODE__VERSION;

   /**
    * The feature id for the '<em><b>Formatted XML Buffer</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__FORMATTED_XML_BUFFER = TOOL_INFO_NODE__FORMATTED_XML_BUFFER;

   /**
    * The feature id for the '<em><b>Tool Info Grammar URI</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__TOOL_INFO_GRAMMAR_URI = TOOL_INFO_NODE__TOOL_INFO_GRAMMAR_URI;

   /**
    * The feature id for the '<em><b>Container Label</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__CONTAINER_LABEL = TOOL_INFO_NODE__CONTAINER_LABEL;

   /**
    * The feature id for the '<em><b>Tool Info Model</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__TOOL_INFO_MODEL = TOOL_INFO_NODE__TOOL_INFO_MODEL;

   /**
    * The feature id for the '<em><b>Type</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__TYPE = TOOL_INFO_NODE__TYPE;

   /**
    * The feature id for the '<em><b>Arc</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__ARC = TOOL_INFO_NODE__ARC;

   /**
    * The feature id for the '<em><b>Node</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__NODE = TOOL_INFO_NODE__NODE;

   /**
    * The feature id for the '<em><b>Subnet</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__SUBNET = TOOL_INFO_NODE__SUBNET;

   /**
    * The feature id for the '<em><b>Ref Transition</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__REF_TRANSITION = TOOL_INFO_NODE__REF_TRANSITION;

   /**
    * The feature id for the '<em><b>Ref Place</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__REF_PLACE = TOOL_INFO_NODE__REF_PLACE;

   /**
    * The feature id for the '<em><b>Inputsignalclause</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__INPUTSIGNALCLAUSE = TOOL_INFO_NODE_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Topic Name</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__TOPIC_NAME = TOOL_INFO_NODE_FEATURE_COUNT + 1;

   /**
    * The feature id for the '<em><b>Service Name</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__SERVICE_NAME = TOOL_INFO_NODE_FEATURE_COUNT + 2;

   /**
    * The feature id for the '<em><b>Server Input</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__SERVER_INPUT = TOOL_INFO_NODE_FEATURE_COUNT + 3;

   /**
    * The feature id for the '<em><b>Server Output</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__SERVER_OUTPUT = TOOL_INFO_NODE_FEATURE_COUNT + 4;

   /**
    * The feature id for the '<em><b>Server Capacity</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__SERVER_CAPACITY = TOOL_INFO_NODE_FEATURE_COUNT + 5;

   /**
    * The feature id for the '<em><b>Channels</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__CHANNELS = TOOL_INFO_NODE_FEATURE_COUNT + 6;

   /**
    * The feature id for the '<em><b>Publishers</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__PUBLISHERS = TOOL_INFO_NODE_FEATURE_COUNT + 7;

   /**
    * The feature id for the '<em><b>Subscribers</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__SUBSCRIBERS = TOOL_INFO_NODE_FEATURE_COUNT + 8;

   /**
    * The feature id for the '<em><b>Transition</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION__TRANSITION = TOOL_INFO_NODE_FEATURE_COUNT + 9;

   /**
    * The number of structural features of the '<em>Tool Info Transition</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION_FEATURE_COUNT = TOOL_INFO_NODE_FEATURE_COUNT + 10;

   /**
    * The number of operations of the '<em>Tool Info Transition</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_TRANSITION_OPERATION_COUNT = TOOL_INFO_NODE_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.ToolInfoPageImpl <em>Tool Info Page</em>}' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.ToolInfoPageImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getToolInfoPage()
    * @generated
    */
   int TOOL_INFO_PAGE = 37;

   /**
    * The feature id for the '<em><b>Tool</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PAGE__TOOL = TOOL_INFO__TOOL;

   /**
    * The feature id for the '<em><b>Version</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PAGE__VERSION = TOOL_INFO__VERSION;

   /**
    * The feature id for the '<em><b>Formatted XML Buffer</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PAGE__FORMATTED_XML_BUFFER = TOOL_INFO__FORMATTED_XML_BUFFER;

   /**
    * The feature id for the '<em><b>Tool Info Grammar URI</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PAGE__TOOL_INFO_GRAMMAR_URI = TOOL_INFO__TOOL_INFO_GRAMMAR_URI;

   /**
    * The feature id for the '<em><b>Container Label</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PAGE__CONTAINER_LABEL = TOOL_INFO__CONTAINER_LABEL;

   /**
    * The feature id for the '<em><b>Tool Info Model</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PAGE__TOOL_INFO_MODEL = TOOL_INFO__TOOL_INFO_MODEL;

   /**
    * The feature id for the '<em><b>Type</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PAGE__TYPE = TOOL_INFO__TYPE;

   /**
    * The feature id for the '<em><b>Arc</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PAGE__ARC = TOOL_INFO__ARC;

   /**
    * The feature id for the '<em><b>Service Name</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PAGE__SERVICE_NAME = TOOL_INFO_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Page</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PAGE__PAGE = TOOL_INFO_FEATURE_COUNT + 1;

   /**
    * The number of structural features of the '<em>Tool Info Page</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PAGE_FEATURE_COUNT = TOOL_INFO_FEATURE_COUNT + 2;

   /**
    * The number of operations of the '<em>Tool Info Page</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_PAGE_OPERATION_COUNT = TOOL_INFO_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.ToolInfoNetImpl <em>Tool Info Net</em>}' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.ToolInfoNetImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getToolInfoNet()
    * @generated
    */
   int TOOL_INFO_NET = 38;

   /**
    * The feature id for the '<em><b>Tool</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NET__TOOL = TOOL_INFO__TOOL;

   /**
    * The feature id for the '<em><b>Version</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NET__VERSION = TOOL_INFO__VERSION;

   /**
    * The feature id for the '<em><b>Formatted XML Buffer</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NET__FORMATTED_XML_BUFFER = TOOL_INFO__FORMATTED_XML_BUFFER;

   /**
    * The feature id for the '<em><b>Tool Info Grammar URI</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NET__TOOL_INFO_GRAMMAR_URI = TOOL_INFO__TOOL_INFO_GRAMMAR_URI;

   /**
    * The feature id for the '<em><b>Container Label</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NET__CONTAINER_LABEL = TOOL_INFO__CONTAINER_LABEL;

   /**
    * The feature id for the '<em><b>Tool Info Model</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NET__TOOL_INFO_MODEL = TOOL_INFO__TOOL_INFO_MODEL;

   /**
    * The feature id for the '<em><b>Type</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NET__TYPE = TOOL_INFO__TYPE;

   /**
    * The feature id for the '<em><b>Arc</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NET__ARC = TOOL_INFO__ARC;

   /**
    * The feature id for the '<em><b>Inputsignals</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NET__INPUTSIGNALS = TOOL_INFO_FEATURE_COUNT + 0;

   /**
    * The feature id for the '<em><b>Petrinet</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NET__PETRINET = TOOL_INFO_FEATURE_COUNT + 1;

   /**
    * The number of structural features of the '<em>Tool Info Net</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NET_FEATURE_COUNT = TOOL_INFO_FEATURE_COUNT + 2;

   /**
    * The number of operations of the '<em>Tool Info Net</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOOL_INFO_NET_OPERATION_COUNT = TOOL_INFO_OPERATION_COUNT + 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.TokensImpl <em>Tokens</em>}' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.TokensImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getTokens()
    * @generated
    */
   int TOKENS = 39;

   /**
    * The feature id for the '<em><b>Balloon Marking</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOKENS__BALLOON_MARKING = 0;

   /**
    * The feature id for the '<em><b>Token</b></em>' attribute list.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOKENS__TOKEN = 1;

   /**
    * The number of structural features of the '<em>Tokens</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOKENS_FEATURE_COUNT = 2;

   /**
    * The number of operations of the '<em>Tokens</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TOKENS_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.BalloonMarkingImpl <em>Balloon Marking</em>}' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.BalloonMarkingImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getBalloonMarking()
    * @generated
    */
   int BALLOON_MARKING = 40;

   /**
    * The feature id for the '<em><b>Tool Info Place</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int BALLOON_MARKING__TOOL_INFO_PLACE = 0;

   /**
    * The feature id for the '<em><b>Tokens</b></em>' containment reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int BALLOON_MARKING__TOKENS = 1;

   /**
    * The number of structural features of the '<em>Balloon Marking</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int BALLOON_MARKING_FEATURE_COUNT = 2;

   /**
    * The number of operations of the '<em>Balloon Marking</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int BALLOON_MARKING_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.InputSignalsImpl <em>Input Signals</em>}' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.InputSignalsImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getInputSignals()
    * @generated
    */
   int INPUT_SIGNALS = 41;

   /**
    * The feature id for the '<em><b>Tool Info Net</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INPUT_SIGNALS__TOOL_INFO_NET = 0;

   /**
    * The feature id for the '<em><b>Inputsignal</b></em>' containment reference list.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INPUT_SIGNALS__INPUTSIGNAL = 1;

   /**
    * The number of structural features of the '<em>Input Signals</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INPUT_SIGNALS_FEATURE_COUNT = 2;

   /**
    * The number of operations of the '<em>Input Signals</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INPUT_SIGNALS_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.InputSignalImpl <em>Input Signal</em>}' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.InputSignalImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getInputSignal()
    * @generated
    */
   int INPUT_SIGNAL = 42;

   /**
    * The feature id for the '<em><b>Inputsignals Container</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INPUT_SIGNAL__INPUTSIGNALS_CONTAINER = 0;

   /**
    * The feature id for the '<em><b>Inputsignal ID</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INPUT_SIGNAL__INPUTSIGNAL_ID = 1;

   /**
    * The feature id for the '<em><b>Initialvalue</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INPUT_SIGNAL__INITIALVALUE = 2;

   /**
    * The number of structural features of the '<em>Input Signal</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INPUT_SIGNAL_FEATURE_COUNT = 3;

   /**
    * The number of operations of the '<em>Input Signal</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int INPUT_SIGNAL_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.ChannelsImpl <em>Channels</em>}' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.ChannelsImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getChannels()
    * @generated
    */
   int CHANNELS = 43;

   /**
    * The feature id for the '<em><b>Tool Info Transition</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int CHANNELS__TOOL_INFO_TRANSITION = 0;

   /**
    * The feature id for the '<em><b>Channel</b></em>' containment reference list.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int CHANNELS__CHANNEL = 1;

   /**
    * The number of structural features of the '<em>Channels</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int CHANNELS_FEATURE_COUNT = 2;

   /**
    * The number of operations of the '<em>Channels</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int CHANNELS_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.ChannelImpl <em>Channel</em>}' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.ChannelImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getChannel()
    * @generated
    */
   int CHANNEL = 44;

   /**
    * The feature id for the '<em><b>Cid</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int CHANNEL__CID = 0;

   /**
    * The feature id for the '<em><b>Request</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int CHANNEL__REQUEST = 1;

   /**
    * The feature id for the '<em><b>Response</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int CHANNEL__RESPONSE = 2;

   /**
    * The feature id for the '<em><b>Channels Container</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int CHANNEL__CHANNELS_CONTAINER = 3;

   /**
    * The number of structural features of the '<em>Channel</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int CHANNEL_FEATURE_COUNT = 4;

   /**
    * The number of operations of the '<em>Channel</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int CHANNEL_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.PublishersImpl <em>Publishers</em>}' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.PublishersImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPublishers()
    * @generated
    */
   int PUBLISHERS = 45;

   /**
    * The feature id for the '<em><b>Tool Info Transition</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PUBLISHERS__TOOL_INFO_TRANSITION = 0;

   /**
    * The feature id for the '<em><b>Publisher</b></em>' containment reference list.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PUBLISHERS__PUBLISHER = 1;

   /**
    * The number of structural features of the '<em>Publishers</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PUBLISHERS_FEATURE_COUNT = 2;

   /**
    * The number of operations of the '<em>Publishers</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PUBLISHERS_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.PublisherImpl <em>Publisher</em>}' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.PublisherImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPublisher()
    * @generated
    */
   int PUBLISHER = 46;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PUBLISHER__ID = 0;

   /**
    * The feature id for the '<em><b>Limit</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PUBLISHER__LIMIT = 1;

   /**
    * The feature id for the '<em><b>Publishers Container</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PUBLISHER__PUBLISHERS_CONTAINER = 2;

   /**
    * The number of structural features of the '<em>Publisher</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PUBLISHER_FEATURE_COUNT = 3;

   /**
    * The number of operations of the '<em>Publisher</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int PUBLISHER_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.SubscribersImpl <em>Subscribers</em>}' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.SubscribersImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getSubscribers()
    * @generated
    */
   int SUBSCRIBERS = 47;

   /**
    * The feature id for the '<em><b>Tool Info Transition</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int SUBSCRIBERS__TOOL_INFO_TRANSITION = 0;

   /**
    * The feature id for the '<em><b>Subscriber</b></em>' containment reference list.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int SUBSCRIBERS__SUBSCRIBER = 1;

   /**
    * The number of structural features of the '<em>Subscribers</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int SUBSCRIBERS_FEATURE_COUNT = 2;

   /**
    * The number of operations of the '<em>Subscribers</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int SUBSCRIBERS_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.impl.SubscriberImpl <em>Subscriber</em>}' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.impl.SubscriberImpl
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getSubscriber()
    * @generated
    */
   int SUBSCRIBER = 48;

   /**
    * The feature id for the '<em><b>Id</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int SUBSCRIBER__ID = 0;

   /**
    * The feature id for the '<em><b>Limit</b></em>' attribute.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int SUBSCRIBER__LIMIT = 1;

   /**
    * The feature id for the '<em><b>Subscribers Container</b></em>' container reference.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int SUBSCRIBER__SUBSCRIBERS_CONTAINER = 2;

   /**
    * The number of structural features of the '<em>Subscriber</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int SUBSCRIBER_FEATURE_COUNT = 3;

   /**
    * The number of operations of the '<em>Subscriber</em>' class.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int SUBSCRIBER_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.PNType <em>PN Type</em>}' enum.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.PNType
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPNType()
    * @generated
    */
   int PN_TYPE = 50;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.CSS2Color <em>CSS2 Color</em>}' enum.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.CSS2Color
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getCSS2Color()
    * @generated
    */
   int CSS2_COLOR = 51;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.Gradient <em>Gradient</em>}' enum.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.Gradient
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getGradient()
    * @generated
    */
   int GRADIENT = 52;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.LineShape <em>Line Shape</em>}' enum.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.LineShape
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getLineShape()
    * @generated
    */
   int LINE_SHAPE = 53;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.FontAlign <em>Font Align</em>}' enum.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.FontAlign
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getFontAlign()
    * @generated
    */
   int FONT_ALIGN = 54;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.FontDecoration <em>Font Decoration</em>}' enum.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.FontDecoration
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getFontDecoration()
    * @generated
    */
   int FONT_DECORATION = 55;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.CSS2FontFamily <em>CSS2 Font Family</em>}' enum.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.CSS2FontFamily
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getCSS2FontFamily()
    * @generated
    */
   int CSS2_FONT_FAMILY = 56;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.CSS2FontSize <em>CSS2 Font Size</em>}' enum.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.CSS2FontSize
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getCSS2FontSize()
    * @generated
    */
   int CSS2_FONT_SIZE = 57;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.CSS2FontStyle <em>CSS2 Font Style</em>}' enum.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.CSS2FontStyle
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getCSS2FontStyle()
    * @generated
    */
   int CSS2_FONT_STYLE = 58;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.CSS2FontWeight <em>CSS2 Font Weight</em>}' enum.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.CSS2FontWeight
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getCSS2FontWeight()
    * @generated
    */
   int CSS2_FONT_WEIGHT = 59;

   /**
    * The meta object id for the '{@link org.pnml.emf.ptnet.LineStyle <em>Line Style</em>}' enum.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see org.pnml.emf.ptnet.LineStyle
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getLineStyle()
    * @generated
    */
   int LINE_STYLE = 60;

   /**
    * The meta object id for the '<em>Positive Integer</em>' data type.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see java.lang.Integer
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPositiveInteger()
    * @generated
    */
   int POSITIVE_INTEGER = 61;

   /**
    * The meta object id for the '<em>Natural</em>' data type.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see java.lang.Integer
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getNatural()
    * @generated
    */
   int NATURAL = 62;

   /**
    * The meta object id for the '<em>URI</em>' data type.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see java.net.URI
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getURI()
    * @generated
    */
   int URI = 63;

   /**
    * The meta object id for the '<em>Long String</em>' data type.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see java.lang.StringBuffer
    * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getLongString()
    * @generated
    */
   int LONG_STRING = 64;

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.PTMarking <em>PT Marking</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>PT Marking</em>'.
    * @see org.pnml.emf.ptnet.PTMarking
    * @generated
    */
   EClass getPTMarking();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.PTMarking#getText <em>Text</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Text</em>'.
    * @see org.pnml.emf.ptnet.PTMarking#getText()
    * @see #getPTMarking()
    * @generated
    */
   EAttribute getPTMarking_Text();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.PTMarking#getContainerPlace <em>Container Place</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Place</em>'.
    * @see org.pnml.emf.ptnet.PTMarking#getContainerPlace()
    * @see #getPTMarking()
    * @generated
    */
   EReference getPTMarking_ContainerPlace();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.PTArcAnnotation <em>PT Arc Annotation</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>PT Arc Annotation</em>'.
    * @see org.pnml.emf.ptnet.PTArcAnnotation
    * @generated
    */
   EClass getPTArcAnnotation();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.PTArcAnnotation#getText <em>Text</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Text</em>'.
    * @see org.pnml.emf.ptnet.PTArcAnnotation#getText()
    * @see #getPTArcAnnotation()
    * @generated
    */
   EAttribute getPTArcAnnotation_Text();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.PTArcAnnotation#getContainerArc <em>Container Arc</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Arc</em>'.
    * @see org.pnml.emf.ptnet.PTArcAnnotation#getContainerArc()
    * @see #getPTArcAnnotation()
    * @generated
    */
   EReference getPTArcAnnotation_ContainerArc();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.pnml <em>pnml</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>pnml</em>'.
    * @see org.pnml.emf.ptnet.pnml
    * @generated
    */
   EClass getpnml();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.pnml#getNet <em>Net</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Net</em>'.
    * @see org.pnml.emf.ptnet.pnml#getNet()
    * @see #getpnml()
    * @generated
    */
   EReference getpnml_Net();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.pnml#getXmlns <em>Xmlns</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Xmlns</em>'.
    * @see org.pnml.emf.ptnet.pnml#getXmlns()
    * @see #getpnml()
    * @generated
    */
   EAttribute getpnml_Xmlns();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.PetriNet <em>Petri Net</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Petri Net</em>'.
    * @see org.pnml.emf.ptnet.PetriNet
    * @generated
    */
   EClass getPetriNet();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.PetriNet#getId <em>Id</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Id</em>'.
    * @see org.pnml.emf.ptnet.PetriNet#getId()
    * @see #getPetriNet()
    * @generated
    */
   EAttribute getPetriNet_Id();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.PetriNet#getType <em>Type</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Type</em>'.
    * @see org.pnml.emf.ptnet.PetriNet#getType()
    * @see #getPetriNet()
    * @generated
    */
   EAttribute getPetriNet_Type();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.PetriNet#getPage <em>Page</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Page</em>'.
    * @see org.pnml.emf.ptnet.PetriNet#getPage()
    * @see #getPetriNet()
    * @generated
    */
   EReference getPetriNet_Page();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.PetriNet#getName <em>Name</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Name</em>'.
    * @see org.pnml.emf.ptnet.PetriNet#getName()
    * @see #getPetriNet()
    * @generated
    */
   EReference getPetriNet_Name();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.PetriNet#getContainerPetriNetDoc <em>Container Petri Net Doc</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Petri Net Doc</em>'.
    * @see org.pnml.emf.ptnet.PetriNet#getContainerPetriNetDoc()
    * @see #getPetriNet()
    * @generated
    */
   EReference getPetriNet_ContainerPetriNetDoc();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.PetriNet#getToolspecific <em>Toolspecific</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Toolspecific</em>'.
    * @see org.pnml.emf.ptnet.PetriNet#getToolspecific()
    * @see #getPetriNet()
    * @generated
    */
   EReference getPetriNet_Toolspecific();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Page <em>Page</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Page</em>'.
    * @see org.pnml.emf.ptnet.Page
    * @generated
    */
   EClass getPage();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Page#getArc <em>Arc</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Arc</em>'.
    * @see org.pnml.emf.ptnet.Page#getArc()
    * @see #getPage()
    * @generated
    */
   EReference getPage_Arc();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Page#getContainerPetriNet <em>Container Petri Net</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Petri Net</em>'.
    * @see org.pnml.emf.ptnet.Page#getContainerPetriNet()
    * @see #getPage()
    * @generated
    */
   EReference getPage_ContainerPetriNet();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Page#getPlace <em>Place</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Place</em>'.
    * @see org.pnml.emf.ptnet.Page#getPlace()
    * @see #getPage()
    * @generated
    */
   EReference getPage_Place();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Page#getTransition <em>Transition</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Transition</em>'.
    * @see org.pnml.emf.ptnet.Page#getTransition()
    * @see #getPage()
    * @generated
    */
   EReference getPage_Transition();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Page#getPage <em>Page</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Page</em>'.
    * @see org.pnml.emf.ptnet.Page#getPage()
    * @see #getPage()
    * @generated
    */
   EReference getPage_Page();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Page#getContainerPage <em>Container Page</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Page</em>'.
    * @see org.pnml.emf.ptnet.Page#getContainerPage()
    * @see #getPage()
    * @generated
    */
   EReference getPage_ContainerPage();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Page#getReferencePlace <em>Reference Place</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Reference Place</em>'.
    * @see org.pnml.emf.ptnet.Page#getReferencePlace()
    * @see #getPage()
    * @generated
    */
   EReference getPage_ReferencePlace();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Page#getReferenceTransition <em>Reference Transition</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Reference Transition</em>'.
    * @see org.pnml.emf.ptnet.Page#getReferenceTransition()
    * @see #getPage()
    * @generated
    */
   EReference getPage_ReferenceTransition();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Page#getReadArc <em>Read Arc</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Read Arc</em>'.
    * @see org.pnml.emf.ptnet.Page#getReadArc()
    * @see #getPage()
    * @generated
    */
   EReference getPage_ReadArc();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Page#getInhibitorArc <em>Inhibitor Arc</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Inhibitor Arc</em>'.
    * @see org.pnml.emf.ptnet.Page#getInhibitorArc()
    * @see #getPage()
    * @generated
    */
   EReference getPage_InhibitorArc();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Page#getToolspecific <em>Toolspecific</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Toolspecific</em>'.
    * @see org.pnml.emf.ptnet.Page#getToolspecific()
    * @see #getPage()
    * @generated
    */
   EReference getPage_Toolspecific();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.PnObject <em>Pn Object</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Pn Object</em>'.
    * @see org.pnml.emf.ptnet.PnObject
    * @generated
    */
   EClass getPnObject();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.PnObject#getId <em>Id</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Id</em>'.
    * @see org.pnml.emf.ptnet.PnObject#getId()
    * @see #getPnObject()
    * @generated
    */
   EAttribute getPnObject_Id();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.PnObject#getName <em>Name</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Name</em>'.
    * @see org.pnml.emf.ptnet.PnObject#getName()
    * @see #getPnObject()
    * @generated
    */
   EReference getPnObject_Name();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Name <em>Name</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Name</em>'.
    * @see org.pnml.emf.ptnet.Name
    * @generated
    */
   EClass getName_();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Name#getText <em>Text</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Text</em>'.
    * @see org.pnml.emf.ptnet.Name#getText()
    * @see #getName_()
    * @generated
    */
   EAttribute getName_Text();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Name#getContainerNamePetriNet <em>Container Name Petri Net</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Name Petri Net</em>'.
    * @see org.pnml.emf.ptnet.Name#getContainerNamePetriNet()
    * @see #getName_()
    * @generated
    */
   EReference getName_ContainerNamePetriNet();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Name#getContainerNamePnObject <em>Container Name Pn Object</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Name Pn Object</em>'.
    * @see org.pnml.emf.ptnet.Name#getContainerNamePnObject()
    * @see #getName_()
    * @generated
    */
   EReference getName_ContainerNamePnObject();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.ToolInfo <em>Tool Info</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Tool Info</em>'.
    * @see org.pnml.emf.ptnet.ToolInfo
    * @generated
    */
   EClass getToolInfo();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.ToolInfo#getTool <em>Tool</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Tool</em>'.
    * @see org.pnml.emf.ptnet.ToolInfo#getTool()
    * @see #getToolInfo()
    * @generated
    */
   EAttribute getToolInfo_Tool();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.ToolInfo#getVersion <em>Version</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Version</em>'.
    * @see org.pnml.emf.ptnet.ToolInfo#getVersion()
    * @see #getToolInfo()
    * @generated
    */
   EAttribute getToolInfo_Version();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.ToolInfo#getFormattedXMLBuffer <em>Formatted XML Buffer</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Formatted XML Buffer</em>'.
    * @see org.pnml.emf.ptnet.ToolInfo#getFormattedXMLBuffer()
    * @see #getToolInfo()
    * @generated
    */
   EAttribute getToolInfo_FormattedXMLBuffer();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.ToolInfo#getToolInfoGrammarURI <em>Tool Info Grammar URI</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Tool Info Grammar URI</em>'.
    * @see org.pnml.emf.ptnet.ToolInfo#getToolInfoGrammarURI()
    * @see #getToolInfo()
    * @generated
    */
   EAttribute getToolInfo_ToolInfoGrammarURI();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.ToolInfo#getContainerLabel <em>Container Label</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Label</em>'.
    * @see org.pnml.emf.ptnet.ToolInfo#getContainerLabel()
    * @see #getToolInfo()
    * @generated
    */
   EReference getToolInfo_ContainerLabel();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.ToolInfo#getToolInfoModel <em>Tool Info Model</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Tool Info Model</em>'.
    * @see org.pnml.emf.ptnet.ToolInfo#getToolInfoModel()
    * @see #getToolInfo()
    * @generated
    */
   EReference getToolInfo_ToolInfoModel();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.ToolInfo#getType <em>Type</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Type</em>'.
    * @see org.pnml.emf.ptnet.ToolInfo#getType()
    * @see #getToolInfo()
    * @generated
    */
   EAttribute getToolInfo_Type();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.ToolInfo#getArc <em>Arc</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Arc</em>'.
    * @see org.pnml.emf.ptnet.ToolInfo#getArc()
    * @see #getToolInfo()
    * @generated
    */
   EReference getToolInfo_Arc();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Label <em>Label</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Label</em>'.
    * @see org.pnml.emf.ptnet.Label
    * @generated
    */
   EClass getLabel();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Label#getToolspecifics <em>Toolspecifics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Toolspecifics</em>'.
    * @see org.pnml.emf.ptnet.Label#getToolspecifics()
    * @see #getLabel()
    * @generated
    */
   EReference getLabel_Toolspecifics();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.NodeGraphics <em>Node Graphics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Node Graphics</em>'.
    * @see org.pnml.emf.ptnet.NodeGraphics
    * @generated
    */
   EClass getNodeGraphics();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.NodeGraphics#getPosition <em>Position</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Position</em>'.
    * @see org.pnml.emf.ptnet.NodeGraphics#getPosition()
    * @see #getNodeGraphics()
    * @generated
    */
   EReference getNodeGraphics_Position();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.NodeGraphics#getDimension <em>Dimension</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Dimension</em>'.
    * @see org.pnml.emf.ptnet.NodeGraphics#getDimension()
    * @see #getNodeGraphics()
    * @generated
    */
   EReference getNodeGraphics_Dimension();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.NodeGraphics#getFill <em>Fill</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Fill</em>'.
    * @see org.pnml.emf.ptnet.NodeGraphics#getFill()
    * @see #getNodeGraphics()
    * @generated
    */
   EReference getNodeGraphics_Fill();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.NodeGraphics#getLine <em>Line</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Line</em>'.
    * @see org.pnml.emf.ptnet.NodeGraphics#getLine()
    * @see #getNodeGraphics()
    * @generated
    */
   EReference getNodeGraphics_Line();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.NodeGraphics#getContainerObject <em>Container Object</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Object</em>'.
    * @see org.pnml.emf.ptnet.NodeGraphics#getContainerObject()
    * @see #getNodeGraphics()
    * @generated
    */
   EReference getNodeGraphics_ContainerObject();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Graphics <em>Graphics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Graphics</em>'.
    * @see org.pnml.emf.ptnet.Graphics
    * @generated
    */
   EClass getGraphics();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Coordinate <em>Coordinate</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Coordinate</em>'.
    * @see org.pnml.emf.ptnet.Coordinate
    * @generated
    */
   EClass getCoordinate();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Coordinate#getX <em>X</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>X</em>'.
    * @see org.pnml.emf.ptnet.Coordinate#getX()
    * @see #getCoordinate()
    * @generated
    */
   EAttribute getCoordinate_X();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Coordinate#getY <em>Y</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Y</em>'.
    * @see org.pnml.emf.ptnet.Coordinate#getY()
    * @see #getCoordinate()
    * @generated
    */
   EAttribute getCoordinate_Y();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Position <em>Position</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Position</em>'.
    * @see org.pnml.emf.ptnet.Position
    * @generated
    */
   EClass getPosition();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Position#getContainerArcGraphics <em>Container Arc Graphics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Arc Graphics</em>'.
    * @see org.pnml.emf.ptnet.Position#getContainerArcGraphics()
    * @see #getPosition()
    * @generated
    */
   EReference getPosition_ContainerArcGraphics();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Position#getContainerPNodeGraphics <em>Container PNode Graphics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container PNode Graphics</em>'.
    * @see org.pnml.emf.ptnet.Position#getContainerPNodeGraphics()
    * @see #getPosition()
    * @generated
    */
   EReference getPosition_ContainerPNodeGraphics();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Offset <em>Offset</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Offset</em>'.
    * @see org.pnml.emf.ptnet.Offset
    * @generated
    */
   EClass getOffset();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Offset#getContainerAnnotationGraphics <em>Container Annotation Graphics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Annotation Graphics</em>'.
    * @see org.pnml.emf.ptnet.Offset#getContainerAnnotationGraphics()
    * @see #getOffset()
    * @generated
    */
   EReference getOffset_ContainerAnnotationGraphics();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Dimension <em>Dimension</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Dimension</em>'.
    * @see org.pnml.emf.ptnet.Dimension
    * @generated
    */
   EClass getDimension();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Dimension#getContainerDNodeGraphics <em>Container DNode Graphics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container DNode Graphics</em>'.
    * @see org.pnml.emf.ptnet.Dimension#getContainerDNodeGraphics()
    * @see #getDimension()
    * @generated
    */
   EReference getDimension_ContainerDNodeGraphics();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.AnnotationGraphics <em>Annotation Graphics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Annotation Graphics</em>'.
    * @see org.pnml.emf.ptnet.AnnotationGraphics
    * @generated
    */
   EClass getAnnotationGraphics();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.AnnotationGraphics#getOffset <em>Offset</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Offset</em>'.
    * @see org.pnml.emf.ptnet.AnnotationGraphics#getOffset()
    * @see #getAnnotationGraphics()
    * @generated
    */
   EReference getAnnotationGraphics_Offset();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.AnnotationGraphics#getFill <em>Fill</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Fill</em>'.
    * @see org.pnml.emf.ptnet.AnnotationGraphics#getFill()
    * @see #getAnnotationGraphics()
    * @generated
    */
   EReference getAnnotationGraphics_Fill();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.AnnotationGraphics#getLine <em>Line</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Line</em>'.
    * @see org.pnml.emf.ptnet.AnnotationGraphics#getLine()
    * @see #getAnnotationGraphics()
    * @generated
    */
   EReference getAnnotationGraphics_Line();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.AnnotationGraphics#getFont <em>Font</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Font</em>'.
    * @see org.pnml.emf.ptnet.AnnotationGraphics#getFont()
    * @see #getAnnotationGraphics()
    * @generated
    */
   EReference getAnnotationGraphics_Font();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.AnnotationGraphics#getContainerAnnotation <em>Container Annotation</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Annotation</em>'.
    * @see org.pnml.emf.ptnet.AnnotationGraphics#getContainerAnnotation()
    * @see #getAnnotationGraphics()
    * @generated
    */
   EReference getAnnotationGraphics_ContainerAnnotation();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Fill <em>Fill</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Fill</em>'.
    * @see org.pnml.emf.ptnet.Fill
    * @generated
    */
   EClass getFill();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Fill#getColor <em>Color</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Color</em>'.
    * @see org.pnml.emf.ptnet.Fill#getColor()
    * @see #getFill()
    * @generated
    */
   EAttribute getFill_Color();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Fill#getGradientcolor <em>Gradientcolor</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Gradientcolor</em>'.
    * @see org.pnml.emf.ptnet.Fill#getGradientcolor()
    * @see #getFill()
    * @generated
    */
   EAttribute getFill_Gradientcolor();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Fill#getGradientrotation <em>Gradientrotation</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Gradientrotation</em>'.
    * @see org.pnml.emf.ptnet.Fill#getGradientrotation()
    * @see #getFill()
    * @generated
    */
   EAttribute getFill_Gradientrotation();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Fill#getImage <em>Image</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Image</em>'.
    * @see org.pnml.emf.ptnet.Fill#getImage()
    * @see #getFill()
    * @generated
    */
   EAttribute getFill_Image();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Fill#getContainerNodeGraphics <em>Container Node Graphics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Node Graphics</em>'.
    * @see org.pnml.emf.ptnet.Fill#getContainerNodeGraphics()
    * @see #getFill()
    * @generated
    */
   EReference getFill_ContainerNodeGraphics();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Fill#getContainerAnnotationGraphics <em>Container Annotation Graphics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Annotation Graphics</em>'.
    * @see org.pnml.emf.ptnet.Fill#getContainerAnnotationGraphics()
    * @see #getFill()
    * @generated
    */
   EReference getFill_ContainerAnnotationGraphics();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Line <em>Line</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Line</em>'.
    * @see org.pnml.emf.ptnet.Line
    * @generated
    */
   EClass getLine();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Line#getColor <em>Color</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Color</em>'.
    * @see org.pnml.emf.ptnet.Line#getColor()
    * @see #getLine()
    * @generated
    */
   EAttribute getLine_Color();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Line#getShape <em>Shape</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Shape</em>'.
    * @see org.pnml.emf.ptnet.Line#getShape()
    * @see #getLine()
    * @generated
    */
   EAttribute getLine_Shape();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Line#getWidth <em>Width</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Width</em>'.
    * @see org.pnml.emf.ptnet.Line#getWidth()
    * @see #getLine()
    * @generated
    */
   EAttribute getLine_Width();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Line#getContainerNodeGraphics <em>Container Node Graphics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Node Graphics</em>'.
    * @see org.pnml.emf.ptnet.Line#getContainerNodeGraphics()
    * @see #getLine()
    * @generated
    */
   EReference getLine_ContainerNodeGraphics();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Line#getContainerArcGraphics <em>Container Arc Graphics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Arc Graphics</em>'.
    * @see org.pnml.emf.ptnet.Line#getContainerArcGraphics()
    * @see #getLine()
    * @generated
    */
   EReference getLine_ContainerArcGraphics();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Line#getContainerAnnotationGraphics <em>Container Annotation Graphics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Annotation Graphics</em>'.
    * @see org.pnml.emf.ptnet.Line#getContainerAnnotationGraphics()
    * @see #getLine()
    * @generated
    */
   EReference getLine_ContainerAnnotationGraphics();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Line#getStyle <em>Style</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Style</em>'.
    * @see org.pnml.emf.ptnet.Line#getStyle()
    * @see #getLine()
    * @generated
    */
   EAttribute getLine_Style();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.ArcGraphics <em>Arc Graphics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Arc Graphics</em>'.
    * @see org.pnml.emf.ptnet.ArcGraphics
    * @generated
    */
   EClass getArcGraphics();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.ArcGraphics#getPositions <em>Positions</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Positions</em>'.
    * @see org.pnml.emf.ptnet.ArcGraphics#getPositions()
    * @see #getArcGraphics()
    * @generated
    */
   EReference getArcGraphics_Positions();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.ArcGraphics#getLine <em>Line</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Line</em>'.
    * @see org.pnml.emf.ptnet.ArcGraphics#getLine()
    * @see #getArcGraphics()
    * @generated
    */
   EReference getArcGraphics_Line();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.ArcGraphics#getContainerArc <em>Container Arc</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Arc</em>'.
    * @see org.pnml.emf.ptnet.ArcGraphics#getContainerArc()
    * @see #getArcGraphics()
    * @generated
    */
   EReference getArcGraphics_ContainerArc();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Arc <em>Arc</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Arc</em>'.
    * @see org.pnml.emf.ptnet.Arc
    * @generated
    */
   EClass getArc();

   /**
    * Returns the meta object for the reference '{@link org.pnml.emf.ptnet.Arc#getSource <em>Source</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference '<em>Source</em>'.
    * @see org.pnml.emf.ptnet.Arc#getSource()
    * @see #getArc()
    * @generated
    */
   EReference getArc_Source();

   /**
    * Returns the meta object for the reference '{@link org.pnml.emf.ptnet.Arc#getTarget <em>Target</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference '<em>Target</em>'.
    * @see org.pnml.emf.ptnet.Arc#getTarget()
    * @see #getArc()
    * @generated
    */
   EReference getArc_Target();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Arc#getContainerPage <em>Container Page</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Page</em>'.
    * @see org.pnml.emf.ptnet.Arc#getContainerPage()
    * @see #getArc()
    * @generated
    */
   EReference getArc_ContainerPage();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Arc#getToolspecific <em>Toolspecific</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Toolspecific</em>'.
    * @see org.pnml.emf.ptnet.Arc#getToolspecific()
    * @see #getArc()
    * @generated
    */
   EReference getArc_Toolspecific();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Node <em>Node</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Node</em>'.
    * @see org.pnml.emf.ptnet.Node
    * @generated
    */
   EClass getNode();

   /**
    * Returns the meta object for the reference list '{@link org.pnml.emf.ptnet.Node#getInArcs <em>In Arcs</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference list '<em>In Arcs</em>'.
    * @see org.pnml.emf.ptnet.Node#getInArcs()
    * @see #getNode()
    * @generated
    */
   EReference getNode_InArcs();

   /**
    * Returns the meta object for the reference list '{@link org.pnml.emf.ptnet.Node#getOutArcs <em>Out Arcs</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference list '<em>Out Arcs</em>'.
    * @see org.pnml.emf.ptnet.Node#getOutArcs()
    * @see #getNode()
    * @generated
    */
   EReference getNode_OutArcs();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Font <em>Font</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Font</em>'.
    * @see org.pnml.emf.ptnet.Font
    * @generated
    */
   EClass getFont();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Font#getAlign <em>Align</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Align</em>'.
    * @see org.pnml.emf.ptnet.Font#getAlign()
    * @see #getFont()
    * @generated
    */
   EAttribute getFont_Align();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Font#getDecoration <em>Decoration</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Decoration</em>'.
    * @see org.pnml.emf.ptnet.Font#getDecoration()
    * @see #getFont()
    * @generated
    */
   EAttribute getFont_Decoration();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Font#getFamily <em>Family</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Family</em>'.
    * @see org.pnml.emf.ptnet.Font#getFamily()
    * @see #getFont()
    * @generated
    */
   EAttribute getFont_Family();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Font#getRotation <em>Rotation</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Rotation</em>'.
    * @see org.pnml.emf.ptnet.Font#getRotation()
    * @see #getFont()
    * @generated
    */
   EAttribute getFont_Rotation();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Font#getSize <em>Size</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Size</em>'.
    * @see org.pnml.emf.ptnet.Font#getSize()
    * @see #getFont()
    * @generated
    */
   EAttribute getFont_Size();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Font#getStyle <em>Style</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Style</em>'.
    * @see org.pnml.emf.ptnet.Font#getStyle()
    * @see #getFont()
    * @generated
    */
   EAttribute getFont_Style();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Font#getWeight <em>Weight</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Weight</em>'.
    * @see org.pnml.emf.ptnet.Font#getWeight()
    * @see #getFont()
    * @generated
    */
   EAttribute getFont_Weight();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Font#getContainerAnnotationGraphics <em>Container Annotation Graphics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Annotation Graphics</em>'.
    * @see org.pnml.emf.ptnet.Font#getContainerAnnotationGraphics()
    * @see #getFont()
    * @generated
    */
   EReference getFont_ContainerAnnotationGraphics();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.PlaceNode <em>Place Node</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Place Node</em>'.
    * @see org.pnml.emf.ptnet.PlaceNode
    * @generated
    */
   EClass getPlaceNode();

   /**
    * Returns the meta object for the reference list '{@link org.pnml.emf.ptnet.PlaceNode#getReferencingPlaces <em>Referencing Places</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference list '<em>Referencing Places</em>'.
    * @see org.pnml.emf.ptnet.PlaceNode#getReferencingPlaces()
    * @see #getPlaceNode()
    * @generated
    */
   EReference getPlaceNode_ReferencingPlaces();

   /**
    * Returns the meta object for the reference list '{@link org.pnml.emf.ptnet.PlaceNode#getInhibitorArcs <em>Inhibitor Arcs</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference list '<em>Inhibitor Arcs</em>'.
    * @see org.pnml.emf.ptnet.PlaceNode#getInhibitorArcs()
    * @see #getPlaceNode()
    * @generated
    */
   EReference getPlaceNode_InhibitorArcs();

   /**
    * Returns the meta object for the reference list '{@link org.pnml.emf.ptnet.PlaceNode#getReadArcs <em>Read Arcs</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the reference list '<em>Read Arcs</em>'.
    * @see org.pnml.emf.ptnet.PlaceNode#getReadArcs()
    * @see #getPlaceNode()
    * @generated
    */
   EReference getPlaceNode_ReadArcs();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.TransitionNode <em>Transition Node</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Transition Node</em>'.
    * @see org.pnml.emf.ptnet.TransitionNode
    * @generated
    */
   EClass getTransitionNode();

   /**
    * Returns the meta object for the reference list '{@link org.pnml.emf.ptnet.TransitionNode#getReferencingTransitions <em>Referencing Transitions</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference list '<em>Referencing Transitions</em>'.
    * @see org.pnml.emf.ptnet.TransitionNode#getReferencingTransitions()
    * @see #getTransitionNode()
    * @generated
    */
   EReference getTransitionNode_ReferencingTransitions();

   /**
    * Returns the meta object for the reference list '{@link org.pnml.emf.ptnet.TransitionNode#getInhibitorArcs <em>Inhibitor Arcs</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference list '<em>Inhibitor Arcs</em>'.
    * @see org.pnml.emf.ptnet.TransitionNode#getInhibitorArcs()
    * @see #getTransitionNode()
    * @generated
    */
   EReference getTransitionNode_InhibitorArcs();

   /**
    * Returns the meta object for the reference list '{@link org.pnml.emf.ptnet.TransitionNode#getReadArcs <em>Read Arcs</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the reference list '<em>Read Arcs</em>'.
    * @see org.pnml.emf.ptnet.TransitionNode#getReadArcs()
    * @see #getTransitionNode()
    * @generated
    */
   EReference getTransitionNode_ReadArcs();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Place <em>Place</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Place</em>'.
    * @see org.pnml.emf.ptnet.Place
    * @generated
    */
   EClass getPlace();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.Place#getInitialMarking <em>Initial Marking</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Initial Marking</em>'.
    * @see org.pnml.emf.ptnet.Place#getInitialMarking()
    * @see #getPlace()
    * @generated
    */
   EReference getPlace_InitialMarking();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Place#getContainerPage <em>Container Page</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Page</em>'.
    * @see org.pnml.emf.ptnet.Place#getContainerPage()
    * @see #getPlace()
    * @generated
    */
   EReference getPlace_ContainerPage();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Place#getToolspecific <em>Toolspecific</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Toolspecific</em>'.
    * @see org.pnml.emf.ptnet.Place#getToolspecific()
    * @see #getPlace()
    * @generated
    */
   EReference getPlace_Toolspecific();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.RefTransition <em>Ref Transition</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Ref Transition</em>'.
    * @see org.pnml.emf.ptnet.RefTransition
    * @generated
    */
   EClass getRefTransition();

   /**
    * Returns the meta object for the reference '{@link org.pnml.emf.ptnet.RefTransition#getRef <em>Ref</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference '<em>Ref</em>'.
    * @see org.pnml.emf.ptnet.RefTransition#getRef()
    * @see #getRefTransition()
    * @generated
    */
   EReference getRefTransition_Ref();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.RefTransition#getContainerPage <em>Container Page</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Page</em>'.
    * @see org.pnml.emf.ptnet.RefTransition#getContainerPage()
    * @see #getRefTransition()
    * @generated
    */
   EReference getRefTransition_ContainerPage();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.RefTransition#getToolspecific <em>Toolspecific</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Toolspecific</em>'.
    * @see org.pnml.emf.ptnet.RefTransition#getToolspecific()
    * @see #getRefTransition()
    * @generated
    */
   EReference getRefTransition_Toolspecific();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Transition <em>Transition</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Transition</em>'.
    * @see org.pnml.emf.ptnet.Transition
    * @generated
    */
   EClass getTransition();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Transition#getContainerPage <em>Container Page</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Page</em>'.
    * @see org.pnml.emf.ptnet.Transition#getContainerPage()
    * @see #getTransition()
    * @generated
    */
   EReference getTransition_ContainerPage();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Transition#getToolspecific <em>Toolspecific</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Toolspecific</em>'.
    * @see org.pnml.emf.ptnet.Transition#getToolspecific()
    * @see #getTransition()
    * @generated
    */
   EReference getTransition_Toolspecific();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.RefPlace <em>Ref Place</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Ref Place</em>'.
    * @see org.pnml.emf.ptnet.RefPlace
    * @generated
    */
   EClass getRefPlace();

   /**
    * Returns the meta object for the reference '{@link org.pnml.emf.ptnet.RefPlace#getRef <em>Ref</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference '<em>Ref</em>'.
    * @see org.pnml.emf.ptnet.RefPlace#getRef()
    * @see #getRefPlace()
    * @generated
    */
   EReference getRefPlace_Ref();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.RefPlace#getContainerPage <em>Container Page</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Page</em>'.
    * @see org.pnml.emf.ptnet.RefPlace#getContainerPage()
    * @see #getRefPlace()
    * @generated
    */
   EReference getRefPlace_ContainerPage();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.RefPlace#getToolspecific <em>Toolspecific</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Toolspecific</em>'.
    * @see org.pnml.emf.ptnet.RefPlace#getToolspecific()
    * @see #getRefPlace()
    * @generated
    */
   EReference getRefPlace_Toolspecific();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Attribute <em>Attribute</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Attribute</em>'.
    * @see org.pnml.emf.ptnet.Attribute
    * @generated
    */
   EClass getAttribute();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Annotation <em>Annotation</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Annotation</em>'.
    * @see org.pnml.emf.ptnet.Annotation
    * @generated
    */
   EClass getAnnotation();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.Annotation#getAnnotationgraphics <em>Annotationgraphics</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Annotationgraphics</em>'.
    * @see org.pnml.emf.ptnet.Annotation#getAnnotationgraphics()
    * @see #getAnnotation()
    * @generated
    */
   EReference getAnnotation_Annotationgraphics();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.AnyObject <em>Any Object</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Any Object</em>'.
    * @see org.pnml.emf.ptnet.AnyObject
    * @generated
    */
   EClass getAnyObject();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.AnyObject#getContainerToolInfo <em>Container Tool Info</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Tool Info</em>'.
    * @see org.pnml.emf.ptnet.AnyObject#getContainerToolInfo()
    * @see #getAnyObject()
    * @generated
    */
   EReference getAnyObject_ContainerToolInfo();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Edge <em>Edge</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Edge</em>'.
    * @see org.pnml.emf.ptnet.Edge
    * @generated
    */
   EClass getEdge();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.Edge#getArcgraphics <em>Arcgraphics</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Arcgraphics</em>'.
    * @see org.pnml.emf.ptnet.Edge#getArcgraphics()
    * @see #getEdge()
    * @generated
    */
   EReference getEdge_Arcgraphics();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.Edge#getInscription <em>Inscription</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Inscription</em>'.
    * @see org.pnml.emf.ptnet.Edge#getInscription()
    * @see #getEdge()
    * @generated
    */
   EReference getEdge_Inscription();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.InhibitorArc <em>Inhibitor Arc</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for class '<em>Inhibitor Arc</em>'.
    * @see org.pnml.emf.ptnet.InhibitorArc
    * @generated
    */
   EClass getInhibitorArc();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.InhibitorArc#getPage <em>Page</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Page</em>'.
    * @see org.pnml.emf.ptnet.InhibitorArc#getPage()
    * @see #getInhibitorArc()
    * @generated
    */
   EReference getInhibitorArc_Page();

   /**
    * Returns the meta object for the reference '{@link org.pnml.emf.ptnet.InhibitorArc#getSource <em>Source</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the reference '<em>Source</em>'.
    * @see org.pnml.emf.ptnet.InhibitorArc#getSource()
    * @see #getInhibitorArc()
    * @generated
    */
   EReference getInhibitorArc_Source();

   /**
    * Returns the meta object for the reference '{@link org.pnml.emf.ptnet.InhibitorArc#getTarget <em>Target</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the reference '<em>Target</em>'.
    * @see org.pnml.emf.ptnet.InhibitorArc#getTarget()
    * @see #getInhibitorArc()
    * @generated
    */
   EReference getInhibitorArc_Target();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.ReadArc <em>Read Arc</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for class '<em>Read Arc</em>'.
    * @see org.pnml.emf.ptnet.ReadArc
    * @generated
    */
   EClass getReadArc();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.ReadArc#getContainerPage <em>Container Page</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Container Page</em>'.
    * @see org.pnml.emf.ptnet.ReadArc#getContainerPage()
    * @see #getReadArc()
    * @generated
    */
   EReference getReadArc_ContainerPage();

   /**
    * Returns the meta object for the reference '{@link org.pnml.emf.ptnet.ReadArc#getSource <em>Source</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the reference '<em>Source</em>'.
    * @see org.pnml.emf.ptnet.ReadArc#getSource()
    * @see #getReadArc()
    * @generated
    */
   EReference getReadArc_Source();

   /**
    * Returns the meta object for the reference '{@link org.pnml.emf.ptnet.ReadArc#getTarget <em>Target</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the reference '<em>Target</em>'.
    * @see org.pnml.emf.ptnet.ReadArc#getTarget()
    * @see #getReadArc()
    * @generated
    */
   EReference getReadArc_Target();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.PositionableObject <em>Positionable Object</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Positionable Object</em>'.
    * @see org.pnml.emf.ptnet.PositionableObject
    * @generated
    */
   EClass getPositionableObject();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.PositionableObject#getNodegraphics <em>Nodegraphics</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Nodegraphics</em>'.
    * @see org.pnml.emf.ptnet.PositionableObject#getNodegraphics()
    * @see #getPositionableObject()
    * @generated
    */
   EReference getPositionableObject_Nodegraphics();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.ToolInfoPlace <em>Tool Info Place</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Tool Info Place</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoPlace
    * @generated
    */
   EClass getToolInfoPlace();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.ToolInfoPlace#getBalloonMarking <em>Balloon Marking</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Balloon Marking</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoPlace#getBalloonMarking()
    * @see #getToolInfoPlace()
    * @generated
    */
   EReference getToolInfoPlace_BalloonMarking();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.ToolInfoPlace#getPlace <em>Place</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Place</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoPlace#getPlace()
    * @see #getToolInfoPlace()
    * @generated
    */
   EReference getToolInfoPlace_Place();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.ToolInfoTransition <em>Tool Info Transition</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for class '<em>Tool Info Transition</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoTransition
    * @generated
    */
   EClass getToolInfoTransition();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.ToolInfoTransition#getInputsignalclause <em>Inputsignalclause</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Inputsignalclause</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoTransition#getInputsignalclause()
    * @see #getToolInfoTransition()
    * @generated
    */
   EAttribute getToolInfoTransition_Inputsignalclause();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.ToolInfoTransition#getTopicName <em>Topic Name</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Topic Name</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoTransition#getTopicName()
    * @see #getToolInfoTransition()
    * @generated
    */
   EAttribute getToolInfoTransition_TopicName();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.ToolInfoTransition#getServiceName <em>Service Name</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Service Name</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoTransition#getServiceName()
    * @see #getToolInfoTransition()
    * @generated
    */
   EAttribute getToolInfoTransition_ServiceName();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.ToolInfoTransition#getServerInput <em>Server Input</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Server Input</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoTransition#getServerInput()
    * @see #getToolInfoTransition()
    * @generated
    */
   EAttribute getToolInfoTransition_ServerInput();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.ToolInfoTransition#getServerOutput <em>Server Output</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Server Output</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoTransition#getServerOutput()
    * @see #getToolInfoTransition()
    * @generated
    */
   EAttribute getToolInfoTransition_ServerOutput();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.ToolInfoTransition#getServerCapacity <em>Server Capacity</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Server Capacity</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoTransition#getServerCapacity()
    * @see #getToolInfoTransition()
    * @generated
    */
   EAttribute getToolInfoTransition_ServerCapacity();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.ToolInfoTransition#getChannels <em>Channels</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Channels</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoTransition#getChannels()
    * @see #getToolInfoTransition()
    * @generated
    */
   EReference getToolInfoTransition_Channels();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.ToolInfoTransition#getPublishers <em>Publishers</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Publishers</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoTransition#getPublishers()
    * @see #getToolInfoTransition()
    * @generated
    */
   EReference getToolInfoTransition_Publishers();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.ToolInfoTransition#getSubscribers <em>Subscribers</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Subscribers</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoTransition#getSubscribers()
    * @see #getToolInfoTransition()
    * @generated
    */
   EReference getToolInfoTransition_Subscribers();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.ToolInfoTransition#getTransition <em>Transition</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Transition</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoTransition#getTransition()
    * @see #getToolInfoTransition()
    * @generated
    */
   EReference getToolInfoTransition_Transition();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.ToolInfoPage <em>Tool Info Page</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for class '<em>Tool Info Page</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoPage
    * @generated
    */
   EClass getToolInfoPage();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.ToolInfoPage#getServiceName <em>Service Name</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Service Name</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoPage#getServiceName()
    * @see #getToolInfoPage()
    * @generated
    */
   EAttribute getToolInfoPage_ServiceName();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.ToolInfoPage#getPage <em>Page</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Page</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoPage#getPage()
    * @see #getToolInfoPage()
    * @generated
    */
   EReference getToolInfoPage_Page();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.ToolInfoNet <em>Tool Info Net</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for class '<em>Tool Info Net</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoNet
    * @generated
    */
   EClass getToolInfoNet();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.ToolInfoNet#getInputsignals <em>Inputsignals</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Inputsignals</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoNet#getInputsignals()
    * @see #getToolInfoNet()
    * @generated
    */
   EReference getToolInfoNet_Inputsignals();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.ToolInfoNet#getPetrinet <em>Petrinet</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Petrinet</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoNet#getPetrinet()
    * @see #getToolInfoNet()
    * @generated
    */
   EReference getToolInfoNet_Petrinet();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Tokens <em>Tokens</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for class '<em>Tokens</em>'.
    * @see org.pnml.emf.ptnet.Tokens
    * @generated
    */
   EClass getTokens();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Tokens#getBalloonMarking <em>Balloon Marking</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Balloon Marking</em>'.
    * @see org.pnml.emf.ptnet.Tokens#getBalloonMarking()
    * @see #getTokens()
    * @generated
    */
   EReference getTokens_BalloonMarking();

   /**
    * Returns the meta object for the attribute list '{@link org.pnml.emf.ptnet.Tokens#getToken <em>Token</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute list '<em>Token</em>'.
    * @see org.pnml.emf.ptnet.Tokens#getToken()
    * @see #getTokens()
    * @generated
    */
   EAttribute getTokens_Token();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.BalloonMarking <em>Balloon Marking</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for class '<em>Balloon Marking</em>'.
    * @see org.pnml.emf.ptnet.BalloonMarking
    * @generated
    */
   EClass getBalloonMarking();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.BalloonMarking#getToolInfoPlace <em>Tool Info Place</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Tool Info Place</em>'.
    * @see org.pnml.emf.ptnet.BalloonMarking#getToolInfoPlace()
    * @see #getBalloonMarking()
    * @generated
    */
   EReference getBalloonMarking_ToolInfoPlace();

   /**
    * Returns the meta object for the containment reference '{@link org.pnml.emf.ptnet.BalloonMarking#getTokens <em>Tokens</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference '<em>Tokens</em>'.
    * @see org.pnml.emf.ptnet.BalloonMarking#getTokens()
    * @see #getBalloonMarking()
    * @generated
    */
   EReference getBalloonMarking_Tokens();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.InputSignals <em>Input Signals</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for class '<em>Input Signals</em>'.
    * @see org.pnml.emf.ptnet.InputSignals
    * @generated
    */
   EClass getInputSignals();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.InputSignals#getToolInfoNet <em>Tool Info Net</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Tool Info Net</em>'.
    * @see org.pnml.emf.ptnet.InputSignals#getToolInfoNet()
    * @see #getInputSignals()
    * @generated
    */
   EReference getInputSignals_ToolInfoNet();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.InputSignals#getInputsignal <em>Inputsignal</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Inputsignal</em>'.
    * @see org.pnml.emf.ptnet.InputSignals#getInputsignal()
    * @see #getInputSignals()
    * @generated
    */
   EReference getInputSignals_Inputsignal();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.InputSignal <em>Input Signal</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for class '<em>Input Signal</em>'.
    * @see org.pnml.emf.ptnet.InputSignal
    * @generated
    */
   EClass getInputSignal();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.InputSignal#getInputsignalsContainer <em>Inputsignals Container</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Inputsignals Container</em>'.
    * @see org.pnml.emf.ptnet.InputSignal#getInputsignalsContainer()
    * @see #getInputSignal()
    * @generated
    */
   EReference getInputSignal_InputsignalsContainer();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.InputSignal#getInputsignalID <em>Inputsignal ID</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Inputsignal ID</em>'.
    * @see org.pnml.emf.ptnet.InputSignal#getInputsignalID()
    * @see #getInputSignal()
    * @generated
    */
   EAttribute getInputSignal_InputsignalID();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.InputSignal#isInitialvalue <em>Initialvalue</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Initialvalue</em>'.
    * @see org.pnml.emf.ptnet.InputSignal#isInitialvalue()
    * @see #getInputSignal()
    * @generated
    */
   EAttribute getInputSignal_Initialvalue();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Channels <em>Channels</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for class '<em>Channels</em>'.
    * @see org.pnml.emf.ptnet.Channels
    * @generated
    */
   EClass getChannels();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Channels#getToolInfoTransition <em>Tool Info Transition</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Tool Info Transition</em>'.
    * @see org.pnml.emf.ptnet.Channels#getToolInfoTransition()
    * @see #getChannels()
    * @generated
    */
   EReference getChannels_ToolInfoTransition();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Channels#getChannel <em>Channel</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Channel</em>'.
    * @see org.pnml.emf.ptnet.Channels#getChannel()
    * @see #getChannels()
    * @generated
    */
   EReference getChannels_Channel();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Channel <em>Channel</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for class '<em>Channel</em>'.
    * @see org.pnml.emf.ptnet.Channel
    * @generated
    */
   EClass getChannel();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Channel#getCid <em>Cid</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Cid</em>'.
    * @see org.pnml.emf.ptnet.Channel#getCid()
    * @see #getChannel()
    * @generated
    */
   EAttribute getChannel_Cid();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Channel#getRequest <em>Request</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Request</em>'.
    * @see org.pnml.emf.ptnet.Channel#getRequest()
    * @see #getChannel()
    * @generated
    */
   EAttribute getChannel_Request();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Channel#getResponse <em>Response</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Response</em>'.
    * @see org.pnml.emf.ptnet.Channel#getResponse()
    * @see #getChannel()
    * @generated
    */
   EAttribute getChannel_Response();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Channel#getChannelsContainer <em>Channels Container</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Channels Container</em>'.
    * @see org.pnml.emf.ptnet.Channel#getChannelsContainer()
    * @see #getChannel()
    * @generated
    */
   EReference getChannel_ChannelsContainer();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Publishers <em>Publishers</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for class '<em>Publishers</em>'.
    * @see org.pnml.emf.ptnet.Publishers
    * @generated
    */
   EClass getPublishers();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Publishers#getToolInfoTransition <em>Tool Info Transition</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Tool Info Transition</em>'.
    * @see org.pnml.emf.ptnet.Publishers#getToolInfoTransition()
    * @see #getPublishers()
    * @generated
    */
   EReference getPublishers_ToolInfoTransition();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Publishers#getPublisher <em>Publisher</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Publisher</em>'.
    * @see org.pnml.emf.ptnet.Publishers#getPublisher()
    * @see #getPublishers()
    * @generated
    */
   EReference getPublishers_Publisher();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Publisher <em>Publisher</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for class '<em>Publisher</em>'.
    * @see org.pnml.emf.ptnet.Publisher
    * @generated
    */
   EClass getPublisher();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Publisher#getId <em>Id</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Id</em>'.
    * @see org.pnml.emf.ptnet.Publisher#getId()
    * @see #getPublisher()
    * @generated
    */
   EAttribute getPublisher_Id();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Publisher#getLimit <em>Limit</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Limit</em>'.
    * @see org.pnml.emf.ptnet.Publisher#getLimit()
    * @see #getPublisher()
    * @generated
    */
   EAttribute getPublisher_Limit();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Publisher#getPublishersContainer <em>Publishers Container</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Publishers Container</em>'.
    * @see org.pnml.emf.ptnet.Publisher#getPublishersContainer()
    * @see #getPublisher()
    * @generated
    */
   EReference getPublisher_PublishersContainer();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Subscribers <em>Subscribers</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for class '<em>Subscribers</em>'.
    * @see org.pnml.emf.ptnet.Subscribers
    * @generated
    */
   EClass getSubscribers();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Subscribers#getToolInfoTransition <em>Tool Info Transition</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Tool Info Transition</em>'.
    * @see org.pnml.emf.ptnet.Subscribers#getToolInfoTransition()
    * @see #getSubscribers()
    * @generated
    */
   EReference getSubscribers_ToolInfoTransition();

   /**
    * Returns the meta object for the containment reference list '{@link org.pnml.emf.ptnet.Subscribers#getSubscriber <em>Subscriber</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Subscriber</em>'.
    * @see org.pnml.emf.ptnet.Subscribers#getSubscriber()
    * @see #getSubscribers()
    * @generated
    */
   EReference getSubscribers_Subscriber();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.Subscriber <em>Subscriber</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for class '<em>Subscriber</em>'.
    * @see org.pnml.emf.ptnet.Subscriber
    * @generated
    */
   EClass getSubscriber();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Subscriber#getId <em>Id</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Id</em>'.
    * @see org.pnml.emf.ptnet.Subscriber#getId()
    * @see #getSubscriber()
    * @generated
    */
   EAttribute getSubscriber_Id();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.Subscriber#getLimit <em>Limit</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Limit</em>'.
    * @see org.pnml.emf.ptnet.Subscriber#getLimit()
    * @see #getSubscriber()
    * @generated
    */
   EAttribute getSubscriber_Limit();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.Subscriber#getSubscribersContainer <em>Subscribers Container</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Subscribers Container</em>'.
    * @see org.pnml.emf.ptnet.Subscriber#getSubscribersContainer()
    * @see #getSubscriber()
    * @generated
    */
   EReference getSubscriber_SubscribersContainer();

   /**
    * Returns the meta object for class '{@link org.pnml.emf.ptnet.ToolInfoNode <em>Tool Info Node</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Tool Info Node</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoNode
    * @generated
    */
   EClass getToolInfoNode();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.ToolInfoNode#getNode <em>Node</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Node</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoNode#getNode()
    * @see #getToolInfoNode()
    * @generated
    */
   EAttribute getToolInfoNode_Node();

   /**
    * Returns the meta object for the attribute '{@link org.pnml.emf.ptnet.ToolInfoNode#getSubnet <em>Subnet</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Subnet</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoNode#getSubnet()
    * @see #getToolInfoNode()
    * @generated
    */
   EAttribute getToolInfoNode_Subnet();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.ToolInfoNode#getRefTransition <em>Ref Transition</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Ref Transition</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoNode#getRefTransition()
    * @see #getToolInfoNode()
    * @generated
    */
   EReference getToolInfoNode_RefTransition();

   /**
    * Returns the meta object for the container reference '{@link org.pnml.emf.ptnet.ToolInfoNode#getRefPlace <em>Ref Place</em>}'.
    * <!-- begin-user-doc -->
   	 * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Ref Place</em>'.
    * @see org.pnml.emf.ptnet.ToolInfoNode#getRefPlace()
    * @see #getToolInfoNode()
    * @generated
    */
   EReference getToolInfoNode_RefPlace();

   /**
    * Returns the meta object for enum '{@link org.pnml.emf.ptnet.PNType <em>PN Type</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for enum '<em>PN Type</em>'.
    * @see org.pnml.emf.ptnet.PNType
    * @generated
    */
   EEnum getPNType();

   /**
    * Returns the meta object for enum '{@link org.pnml.emf.ptnet.CSS2Color <em>CSS2 Color</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for enum '<em>CSS2 Color</em>'.
    * @see org.pnml.emf.ptnet.CSS2Color
    * @generated
    */
   EEnum getCSS2Color();

   /**
    * Returns the meta object for enum '{@link org.pnml.emf.ptnet.Gradient <em>Gradient</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for enum '<em>Gradient</em>'.
    * @see org.pnml.emf.ptnet.Gradient
    * @generated
    */
   EEnum getGradient();

   /**
    * Returns the meta object for enum '{@link org.pnml.emf.ptnet.LineShape <em>Line Shape</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for enum '<em>Line Shape</em>'.
    * @see org.pnml.emf.ptnet.LineShape
    * @generated
    */
   EEnum getLineShape();

   /**
    * Returns the meta object for enum '{@link org.pnml.emf.ptnet.FontAlign <em>Font Align</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for enum '<em>Font Align</em>'.
    * @see org.pnml.emf.ptnet.FontAlign
    * @generated
    */
   EEnum getFontAlign();

   /**
    * Returns the meta object for enum '{@link org.pnml.emf.ptnet.FontDecoration <em>Font Decoration</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for enum '<em>Font Decoration</em>'.
    * @see org.pnml.emf.ptnet.FontDecoration
    * @generated
    */
   EEnum getFontDecoration();

   /**
    * Returns the meta object for enum '{@link org.pnml.emf.ptnet.CSS2FontFamily <em>CSS2 Font Family</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for enum '<em>CSS2 Font Family</em>'.
    * @see org.pnml.emf.ptnet.CSS2FontFamily
    * @generated
    */
   EEnum getCSS2FontFamily();

   /**
    * Returns the meta object for enum '{@link org.pnml.emf.ptnet.CSS2FontSize <em>CSS2 Font Size</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for enum '<em>CSS2 Font Size</em>'.
    * @see org.pnml.emf.ptnet.CSS2FontSize
    * @generated
    */
   EEnum getCSS2FontSize();

   /**
    * Returns the meta object for enum '{@link org.pnml.emf.ptnet.CSS2FontStyle <em>CSS2 Font Style</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for enum '<em>CSS2 Font Style</em>'.
    * @see org.pnml.emf.ptnet.CSS2FontStyle
    * @generated
    */
   EEnum getCSS2FontStyle();

   /**
    * Returns the meta object for enum '{@link org.pnml.emf.ptnet.CSS2FontWeight <em>CSS2 Font Weight</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for enum '<em>CSS2 Font Weight</em>'.
    * @see org.pnml.emf.ptnet.CSS2FontWeight
    * @generated
    */
   EEnum getCSS2FontWeight();

   /**
    * Returns the meta object for enum '{@link org.pnml.emf.ptnet.LineStyle <em>Line Style</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for enum '<em>Line Style</em>'.
    * @see org.pnml.emf.ptnet.LineStyle
    * @generated
    */
   EEnum getLineStyle();

   /**
    * Returns the meta object for data type '{@link java.lang.Integer <em>Positive Integer</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for data type '<em>Positive Integer</em>'.
    * @see java.lang.Integer
    * @model instanceClass="java.lang.Integer"
    * @generated
    */
   EDataType getPositiveInteger();

   /**
    * Returns the meta object for data type '{@link java.lang.Integer <em>Natural</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for data type '<em>Natural</em>'.
    * @see java.lang.Integer
    * @model instanceClass="java.lang.Integer"
    * @generated
    */
   EDataType getNatural();

   /**
    * Returns the meta object for data type '{@link java.net.URI <em>URI</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for data type '<em>URI</em>'.
    * @see java.net.URI
    * @model instanceClass="java.net.URI"
    * @generated
    */
   EDataType getURI();

   /**
    * Returns the meta object for data type '{@link java.lang.StringBuffer <em>Long String</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for data type '<em>Long String</em>'.
    * @see java.lang.StringBuffer
    * @model instanceClass="java.lang.StringBuffer"
    * @generated
    */
   EDataType getLongString();

   /**
    * Returns the factory that creates the instances of the model.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the factory that creates the instances of the model.
    * @generated
    */
   PtnetFactory getPtnetFactory();

   /**
    * <!-- begin-user-doc -->
    * Defines literals for the meta objects that represent
    * <ul>
    *   <li>each class,</li>
    *   <li>each feature of each class,</li>
    *   <li>each operation of each class,</li>
    *   <li>each enum,</li>
    *   <li>and each data type</li>
    * </ul>
    * <!-- end-user-doc -->
    * @generated
    */
   interface Literals {
      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.PTMarkingImpl <em>PT Marking</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.PTMarkingImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPTMarking()
       * @generated
       */
      EClass PT_MARKING = eINSTANCE.getPTMarking();

      /**
       * The meta object literal for the '<em><b>Text</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute PT_MARKING__TEXT = eINSTANCE.getPTMarking_Text();

      /**
       * The meta object literal for the '<em><b>Container Place</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PT_MARKING__CONTAINER_PLACE = eINSTANCE.getPTMarking_ContainerPlace();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.PTArcAnnotationImpl <em>PT Arc Annotation</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.PTArcAnnotationImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPTArcAnnotation()
       * @generated
       */
      EClass PT_ARC_ANNOTATION = eINSTANCE.getPTArcAnnotation();

      /**
       * The meta object literal for the '<em><b>Text</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute PT_ARC_ANNOTATION__TEXT = eINSTANCE.getPTArcAnnotation_Text();

      /**
       * The meta object literal for the '<em><b>Container Arc</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PT_ARC_ANNOTATION__CONTAINER_ARC = eINSTANCE.getPTArcAnnotation_ContainerArc();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.pnmlImpl <em>pnml</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.pnmlImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getpnml()
       * @generated
       */
      EClass PNML = eINSTANCE.getpnml();

      /**
       * The meta object literal for the '<em><b>Net</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference PNML__NET = eINSTANCE.getpnml_Net();

      /**
       * The meta object literal for the '<em><b>Xmlns</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute PNML__XMLNS = eINSTANCE.getpnml_Xmlns();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.PetriNetImpl <em>Petri Net</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.PetriNetImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPetriNet()
       * @generated
       */
      EClass PETRI_NET = eINSTANCE.getPetriNet();

      /**
       * The meta object literal for the '<em><b>Id</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute PETRI_NET__ID = eINSTANCE.getPetriNet_Id();

      /**
       * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute PETRI_NET__TYPE = eINSTANCE.getPetriNet_Type();

      /**
       * The meta object literal for the '<em><b>Page</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PETRI_NET__PAGE = eINSTANCE.getPetriNet_Page();

      /**
       * The meta object literal for the '<em><b>Name</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PETRI_NET__NAME = eINSTANCE.getPetriNet_Name();

      /**
       * The meta object literal for the '<em><b>Container Petri Net Doc</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PETRI_NET__CONTAINER_PETRI_NET_DOC = eINSTANCE.getPetriNet_ContainerPetriNetDoc();

      /**
       * The meta object literal for the '<em><b>Toolspecific</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PETRI_NET__TOOLSPECIFIC = eINSTANCE.getPetriNet_Toolspecific();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.PageImpl <em>Page</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.PageImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPage()
       * @generated
       */
      EClass PAGE = eINSTANCE.getPage();

      /**
       * The meta object literal for the '<em><b>Arc</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PAGE__ARC = eINSTANCE.getPage_Arc();

      /**
       * The meta object literal for the '<em><b>Container Petri Net</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PAGE__CONTAINER_PETRI_NET = eINSTANCE.getPage_ContainerPetriNet();

      /**
       * The meta object literal for the '<em><b>Place</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PAGE__PLACE = eINSTANCE.getPage_Place();

      /**
       * The meta object literal for the '<em><b>Transition</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference PAGE__TRANSITION = eINSTANCE.getPage_Transition();

      /**
       * The meta object literal for the '<em><b>Page</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PAGE__PAGE = eINSTANCE.getPage_Page();

      /**
       * The meta object literal for the '<em><b>Container Page</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference PAGE__CONTAINER_PAGE = eINSTANCE.getPage_ContainerPage();

      /**
       * The meta object literal for the '<em><b>Reference Place</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PAGE__REFERENCE_PLACE = eINSTANCE.getPage_ReferencePlace();

      /**
       * The meta object literal for the '<em><b>Reference Transition</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference PAGE__REFERENCE_TRANSITION = eINSTANCE.getPage_ReferenceTransition();

      /**
       * The meta object literal for the '<em><b>Read Arc</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PAGE__READ_ARC = eINSTANCE.getPage_ReadArc();

      /**
       * The meta object literal for the '<em><b>Inhibitor Arc</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference PAGE__INHIBITOR_ARC = eINSTANCE.getPage_InhibitorArc();

      /**
       * The meta object literal for the '<em><b>Toolspecific</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PAGE__TOOLSPECIFIC = eINSTANCE.getPage_Toolspecific();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.PnObjectImpl <em>Pn Object</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.PnObjectImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPnObject()
       * @generated
       */
      EClass PN_OBJECT = eINSTANCE.getPnObject();

      /**
       * The meta object literal for the '<em><b>Id</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute PN_OBJECT__ID = eINSTANCE.getPnObject_Id();

      /**
       * The meta object literal for the '<em><b>Name</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PN_OBJECT__NAME = eINSTANCE.getPnObject_Name();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.NameImpl <em>Name</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.NameImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getName_()
       * @generated
       */
      EClass NAME = eINSTANCE.getName_();

      /**
       * The meta object literal for the '<em><b>Text</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute NAME__TEXT = eINSTANCE.getName_Text();

      /**
       * The meta object literal for the '<em><b>Container Name Petri Net</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference NAME__CONTAINER_NAME_PETRI_NET = eINSTANCE.getName_ContainerNamePetriNet();

      /**
       * The meta object literal for the '<em><b>Container Name Pn Object</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference NAME__CONTAINER_NAME_PN_OBJECT = eINSTANCE.getName_ContainerNamePnObject();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.ToolInfoImpl <em>Tool Info</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.ToolInfoImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getToolInfo()
       * @generated
       */
      EClass TOOL_INFO = eINSTANCE.getToolInfo();

      /**
       * The meta object literal for the '<em><b>Tool</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TOOL_INFO__TOOL = eINSTANCE.getToolInfo_Tool();

      /**
       * The meta object literal for the '<em><b>Version</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TOOL_INFO__VERSION = eINSTANCE.getToolInfo_Version();

      /**
       * The meta object literal for the '<em><b>Formatted XML Buffer</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TOOL_INFO__FORMATTED_XML_BUFFER = eINSTANCE.getToolInfo_FormattedXMLBuffer();

      /**
       * The meta object literal for the '<em><b>Tool Info Grammar URI</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TOOL_INFO__TOOL_INFO_GRAMMAR_URI = eINSTANCE.getToolInfo_ToolInfoGrammarURI();

      /**
       * The meta object literal for the '<em><b>Container Label</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference TOOL_INFO__CONTAINER_LABEL = eINSTANCE.getToolInfo_ContainerLabel();

      /**
       * The meta object literal for the '<em><b>Tool Info Model</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference TOOL_INFO__TOOL_INFO_MODEL = eINSTANCE.getToolInfo_ToolInfoModel();

      /**
       * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TOOL_INFO__TYPE = eINSTANCE.getToolInfo_Type();

      /**
       * The meta object literal for the '<em><b>Arc</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference TOOL_INFO__ARC = eINSTANCE.getToolInfo_Arc();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.LabelImpl <em>Label</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.LabelImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getLabel()
       * @generated
       */
      EClass LABEL = eINSTANCE.getLabel();

      /**
       * The meta object literal for the '<em><b>Toolspecifics</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference LABEL__TOOLSPECIFICS = eINSTANCE.getLabel_Toolspecifics();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.NodeGraphicsImpl <em>Node Graphics</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.NodeGraphicsImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getNodeGraphics()
       * @generated
       */
      EClass NODE_GRAPHICS = eINSTANCE.getNodeGraphics();

      /**
       * The meta object literal for the '<em><b>Position</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference NODE_GRAPHICS__POSITION = eINSTANCE.getNodeGraphics_Position();

      /**
       * The meta object literal for the '<em><b>Dimension</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference NODE_GRAPHICS__DIMENSION = eINSTANCE.getNodeGraphics_Dimension();

      /**
       * The meta object literal for the '<em><b>Fill</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference NODE_GRAPHICS__FILL = eINSTANCE.getNodeGraphics_Fill();

      /**
       * The meta object literal for the '<em><b>Line</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference NODE_GRAPHICS__LINE = eINSTANCE.getNodeGraphics_Line();

      /**
       * The meta object literal for the '<em><b>Container Object</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference NODE_GRAPHICS__CONTAINER_OBJECT = eINSTANCE.getNodeGraphics_ContainerObject();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.GraphicsImpl <em>Graphics</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.GraphicsImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getGraphics()
       * @generated
       */
      EClass GRAPHICS = eINSTANCE.getGraphics();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.CoordinateImpl <em>Coordinate</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.CoordinateImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getCoordinate()
       * @generated
       */
      EClass COORDINATE = eINSTANCE.getCoordinate();

      /**
       * The meta object literal for the '<em><b>X</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute COORDINATE__X = eINSTANCE.getCoordinate_X();

      /**
       * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute COORDINATE__Y = eINSTANCE.getCoordinate_Y();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.PositionImpl <em>Position</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.PositionImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPosition()
       * @generated
       */
      EClass POSITION = eINSTANCE.getPosition();

      /**
       * The meta object literal for the '<em><b>Container Arc Graphics</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference POSITION__CONTAINER_ARC_GRAPHICS = eINSTANCE.getPosition_ContainerArcGraphics();

      /**
       * The meta object literal for the '<em><b>Container PNode Graphics</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference POSITION__CONTAINER_PNODE_GRAPHICS = eINSTANCE.getPosition_ContainerPNodeGraphics();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.OffsetImpl <em>Offset</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.OffsetImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getOffset()
       * @generated
       */
      EClass OFFSET = eINSTANCE.getOffset();

      /**
       * The meta object literal for the '<em><b>Container Annotation Graphics</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference OFFSET__CONTAINER_ANNOTATION_GRAPHICS = eINSTANCE.getOffset_ContainerAnnotationGraphics();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.DimensionImpl <em>Dimension</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.DimensionImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getDimension()
       * @generated
       */
      EClass DIMENSION = eINSTANCE.getDimension();

      /**
       * The meta object literal for the '<em><b>Container DNode Graphics</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference DIMENSION__CONTAINER_DNODE_GRAPHICS = eINSTANCE.getDimension_ContainerDNodeGraphics();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.AnnotationGraphicsImpl <em>Annotation Graphics</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.AnnotationGraphicsImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getAnnotationGraphics()
       * @generated
       */
      EClass ANNOTATION_GRAPHICS = eINSTANCE.getAnnotationGraphics();

      /**
       * The meta object literal for the '<em><b>Offset</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference ANNOTATION_GRAPHICS__OFFSET = eINSTANCE.getAnnotationGraphics_Offset();

      /**
       * The meta object literal for the '<em><b>Fill</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference ANNOTATION_GRAPHICS__FILL = eINSTANCE.getAnnotationGraphics_Fill();

      /**
       * The meta object literal for the '<em><b>Line</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference ANNOTATION_GRAPHICS__LINE = eINSTANCE.getAnnotationGraphics_Line();

      /**
       * The meta object literal for the '<em><b>Font</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference ANNOTATION_GRAPHICS__FONT = eINSTANCE.getAnnotationGraphics_Font();

      /**
       * The meta object literal for the '<em><b>Container Annotation</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference ANNOTATION_GRAPHICS__CONTAINER_ANNOTATION = eINSTANCE.getAnnotationGraphics_ContainerAnnotation();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.FillImpl <em>Fill</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.FillImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getFill()
       * @generated
       */
      EClass FILL = eINSTANCE.getFill();

      /**
       * The meta object literal for the '<em><b>Color</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute FILL__COLOR = eINSTANCE.getFill_Color();

      /**
       * The meta object literal for the '<em><b>Gradientcolor</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute FILL__GRADIENTCOLOR = eINSTANCE.getFill_Gradientcolor();

      /**
       * The meta object literal for the '<em><b>Gradientrotation</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute FILL__GRADIENTROTATION = eINSTANCE.getFill_Gradientrotation();

      /**
       * The meta object literal for the '<em><b>Image</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute FILL__IMAGE = eINSTANCE.getFill_Image();

      /**
       * The meta object literal for the '<em><b>Container Node Graphics</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference FILL__CONTAINER_NODE_GRAPHICS = eINSTANCE.getFill_ContainerNodeGraphics();

      /**
       * The meta object literal for the '<em><b>Container Annotation Graphics</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference FILL__CONTAINER_ANNOTATION_GRAPHICS = eINSTANCE.getFill_ContainerAnnotationGraphics();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.LineImpl <em>Line</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.LineImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getLine()
       * @generated
       */
      EClass LINE = eINSTANCE.getLine();

      /**
       * The meta object literal for the '<em><b>Color</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute LINE__COLOR = eINSTANCE.getLine_Color();

      /**
       * The meta object literal for the '<em><b>Shape</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute LINE__SHAPE = eINSTANCE.getLine_Shape();

      /**
       * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute LINE__WIDTH = eINSTANCE.getLine_Width();

      /**
       * The meta object literal for the '<em><b>Container Node Graphics</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference LINE__CONTAINER_NODE_GRAPHICS = eINSTANCE.getLine_ContainerNodeGraphics();

      /**
       * The meta object literal for the '<em><b>Container Arc Graphics</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference LINE__CONTAINER_ARC_GRAPHICS = eINSTANCE.getLine_ContainerArcGraphics();

      /**
       * The meta object literal for the '<em><b>Container Annotation Graphics</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference LINE__CONTAINER_ANNOTATION_GRAPHICS = eINSTANCE.getLine_ContainerAnnotationGraphics();

      /**
       * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute LINE__STYLE = eINSTANCE.getLine_Style();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.ArcGraphicsImpl <em>Arc Graphics</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.ArcGraphicsImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getArcGraphics()
       * @generated
       */
      EClass ARC_GRAPHICS = eINSTANCE.getArcGraphics();

      /**
       * The meta object literal for the '<em><b>Positions</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference ARC_GRAPHICS__POSITIONS = eINSTANCE.getArcGraphics_Positions();

      /**
       * The meta object literal for the '<em><b>Line</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference ARC_GRAPHICS__LINE = eINSTANCE.getArcGraphics_Line();

      /**
       * The meta object literal for the '<em><b>Container Arc</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference ARC_GRAPHICS__CONTAINER_ARC = eINSTANCE.getArcGraphics_ContainerArc();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.ArcImpl <em>Arc</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.ArcImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getArc()
       * @generated
       */
      EClass ARC = eINSTANCE.getArc();

      /**
       * The meta object literal for the '<em><b>Source</b></em>' reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference ARC__SOURCE = eINSTANCE.getArc_Source();

      /**
       * The meta object literal for the '<em><b>Target</b></em>' reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference ARC__TARGET = eINSTANCE.getArc_Target();

      /**
       * The meta object literal for the '<em><b>Container Page</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference ARC__CONTAINER_PAGE = eINSTANCE.getArc_ContainerPage();

      /**
       * The meta object literal for the '<em><b>Toolspecific</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference ARC__TOOLSPECIFIC = eINSTANCE.getArc_Toolspecific();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.NodeImpl <em>Node</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.NodeImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getNode()
       * @generated
       */
      EClass NODE = eINSTANCE.getNode();

      /**
       * The meta object literal for the '<em><b>In Arcs</b></em>' reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference NODE__IN_ARCS = eINSTANCE.getNode_InArcs();

      /**
       * The meta object literal for the '<em><b>Out Arcs</b></em>' reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference NODE__OUT_ARCS = eINSTANCE.getNode_OutArcs();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.FontImpl <em>Font</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.FontImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getFont()
       * @generated
       */
      EClass FONT = eINSTANCE.getFont();

      /**
       * The meta object literal for the '<em><b>Align</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute FONT__ALIGN = eINSTANCE.getFont_Align();

      /**
       * The meta object literal for the '<em><b>Decoration</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute FONT__DECORATION = eINSTANCE.getFont_Decoration();

      /**
       * The meta object literal for the '<em><b>Family</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute FONT__FAMILY = eINSTANCE.getFont_Family();

      /**
       * The meta object literal for the '<em><b>Rotation</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute FONT__ROTATION = eINSTANCE.getFont_Rotation();

      /**
       * The meta object literal for the '<em><b>Size</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute FONT__SIZE = eINSTANCE.getFont_Size();

      /**
       * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute FONT__STYLE = eINSTANCE.getFont_Style();

      /**
       * The meta object literal for the '<em><b>Weight</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute FONT__WEIGHT = eINSTANCE.getFont_Weight();

      /**
       * The meta object literal for the '<em><b>Container Annotation Graphics</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference FONT__CONTAINER_ANNOTATION_GRAPHICS = eINSTANCE.getFont_ContainerAnnotationGraphics();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.PlaceNodeImpl <em>Place Node</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.PlaceNodeImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPlaceNode()
       * @generated
       */
      EClass PLACE_NODE = eINSTANCE.getPlaceNode();

      /**
       * The meta object literal for the '<em><b>Referencing Places</b></em>' reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PLACE_NODE__REFERENCING_PLACES = eINSTANCE.getPlaceNode_ReferencingPlaces();

      /**
       * The meta object literal for the '<em><b>Inhibitor Arcs</b></em>' reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PLACE_NODE__INHIBITOR_ARCS = eINSTANCE.getPlaceNode_InhibitorArcs();

      /**
       * The meta object literal for the '<em><b>Read Arcs</b></em>' reference list feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference PLACE_NODE__READ_ARCS = eINSTANCE.getPlaceNode_ReadArcs();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.TransitionNodeImpl <em>Transition Node</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.TransitionNodeImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getTransitionNode()
       * @generated
       */
      EClass TRANSITION_NODE = eINSTANCE.getTransitionNode();

      /**
       * The meta object literal for the '<em><b>Referencing Transitions</b></em>' reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference TRANSITION_NODE__REFERENCING_TRANSITIONS = eINSTANCE.getTransitionNode_ReferencingTransitions();

      /**
       * The meta object literal for the '<em><b>Inhibitor Arcs</b></em>' reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference TRANSITION_NODE__INHIBITOR_ARCS = eINSTANCE.getTransitionNode_InhibitorArcs();

      /**
       * The meta object literal for the '<em><b>Read Arcs</b></em>' reference list feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference TRANSITION_NODE__READ_ARCS = eINSTANCE.getTransitionNode_ReadArcs();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.PlaceImpl <em>Place</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.PlaceImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPlace()
       * @generated
       */
      EClass PLACE = eINSTANCE.getPlace();

      /**
       * The meta object literal for the '<em><b>Initial Marking</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PLACE__INITIAL_MARKING = eINSTANCE.getPlace_InitialMarking();

      /**
       * The meta object literal for the '<em><b>Container Page</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PLACE__CONTAINER_PAGE = eINSTANCE.getPlace_ContainerPage();

      /**
       * The meta object literal for the '<em><b>Toolspecific</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference PLACE__TOOLSPECIFIC = eINSTANCE.getPlace_Toolspecific();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.RefTransitionImpl <em>Ref Transition</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.RefTransitionImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getRefTransition()
       * @generated
       */
      EClass REF_TRANSITION = eINSTANCE.getRefTransition();

      /**
       * The meta object literal for the '<em><b>Ref</b></em>' reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference REF_TRANSITION__REF = eINSTANCE.getRefTransition_Ref();

      /**
       * The meta object literal for the '<em><b>Container Page</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference REF_TRANSITION__CONTAINER_PAGE = eINSTANCE.getRefTransition_ContainerPage();

      /**
       * The meta object literal for the '<em><b>Toolspecific</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference REF_TRANSITION__TOOLSPECIFIC = eINSTANCE.getRefTransition_Toolspecific();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.TransitionImpl <em>Transition</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.TransitionImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getTransition()
       * @generated
       */
      EClass TRANSITION = eINSTANCE.getTransition();

      /**
       * The meta object literal for the '<em><b>Container Page</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference TRANSITION__CONTAINER_PAGE = eINSTANCE.getTransition_ContainerPage();

      /**
       * The meta object literal for the '<em><b>Toolspecific</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference TRANSITION__TOOLSPECIFIC = eINSTANCE.getTransition_Toolspecific();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.RefPlaceImpl <em>Ref Place</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.RefPlaceImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getRefPlace()
       * @generated
       */
      EClass REF_PLACE = eINSTANCE.getRefPlace();

      /**
       * The meta object literal for the '<em><b>Ref</b></em>' reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference REF_PLACE__REF = eINSTANCE.getRefPlace_Ref();

      /**
       * The meta object literal for the '<em><b>Container Page</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference REF_PLACE__CONTAINER_PAGE = eINSTANCE.getRefPlace_ContainerPage();

      /**
       * The meta object literal for the '<em><b>Toolspecific</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference REF_PLACE__TOOLSPECIFIC = eINSTANCE.getRefPlace_Toolspecific();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.AttributeImpl <em>Attribute</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.AttributeImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getAttribute()
       * @generated
       */
      EClass ATTRIBUTE = eINSTANCE.getAttribute();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.AnnotationImpl <em>Annotation</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.AnnotationImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getAnnotation()
       * @generated
       */
      EClass ANNOTATION = eINSTANCE.getAnnotation();

      /**
       * The meta object literal for the '<em><b>Annotationgraphics</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference ANNOTATION__ANNOTATIONGRAPHICS = eINSTANCE.getAnnotation_Annotationgraphics();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.AnyObjectImpl <em>Any Object</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.AnyObjectImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getAnyObject()
       * @generated
       */
      EClass ANY_OBJECT = eINSTANCE.getAnyObject();

      /**
       * The meta object literal for the '<em><b>Container Tool Info</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference ANY_OBJECT__CONTAINER_TOOL_INFO = eINSTANCE.getAnyObject_ContainerToolInfo();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.EdgeImpl <em>Edge</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.EdgeImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getEdge()
       * @generated
       */
      EClass EDGE = eINSTANCE.getEdge();

      /**
       * The meta object literal for the '<em><b>Arcgraphics</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference EDGE__ARCGRAPHICS = eINSTANCE.getEdge_Arcgraphics();

      /**
       * The meta object literal for the '<em><b>Inscription</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference EDGE__INSCRIPTION = eINSTANCE.getEdge_Inscription();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.InhibitorArcImpl <em>Inhibitor Arc</em>}' class.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.InhibitorArcImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getInhibitorArc()
       * @generated
       */
      EClass INHIBITOR_ARC = eINSTANCE.getInhibitorArc();

      /**
       * The meta object literal for the '<em><b>Page</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference INHIBITOR_ARC__PAGE = eINSTANCE.getInhibitorArc_Page();

      /**
       * The meta object literal for the '<em><b>Source</b></em>' reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference INHIBITOR_ARC__SOURCE = eINSTANCE.getInhibitorArc_Source();

      /**
       * The meta object literal for the '<em><b>Target</b></em>' reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference INHIBITOR_ARC__TARGET = eINSTANCE.getInhibitorArc_Target();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.ReadArcImpl <em>Read Arc</em>}' class.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.ReadArcImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getReadArc()
       * @generated
       */
      EClass READ_ARC = eINSTANCE.getReadArc();

      /**
       * The meta object literal for the '<em><b>Container Page</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference READ_ARC__CONTAINER_PAGE = eINSTANCE.getReadArc_ContainerPage();

      /**
       * The meta object literal for the '<em><b>Source</b></em>' reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference READ_ARC__SOURCE = eINSTANCE.getReadArc_Source();

      /**
       * The meta object literal for the '<em><b>Target</b></em>' reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference READ_ARC__TARGET = eINSTANCE.getReadArc_Target();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.PositionableObjectImpl <em>Positionable Object</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.PositionableObjectImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPositionableObject()
       * @generated
       */
      EClass POSITIONABLE_OBJECT = eINSTANCE.getPositionableObject();

      /**
       * The meta object literal for the '<em><b>Nodegraphics</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference POSITIONABLE_OBJECT__NODEGRAPHICS = eINSTANCE.getPositionableObject_Nodegraphics();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.ToolInfoPlaceImpl <em>Tool Info Place</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.ToolInfoPlaceImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getToolInfoPlace()
       * @generated
       */
      EClass TOOL_INFO_PLACE = eINSTANCE.getToolInfoPlace();

      /**
       * The meta object literal for the '<em><b>Balloon Marking</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference TOOL_INFO_PLACE__BALLOON_MARKING = eINSTANCE.getToolInfoPlace_BalloonMarking();

      /**
       * The meta object literal for the '<em><b>Place</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference TOOL_INFO_PLACE__PLACE = eINSTANCE.getToolInfoPlace_Place();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.ToolInfoTransitionImpl <em>Tool Info Transition</em>}' class.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.ToolInfoTransitionImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getToolInfoTransition()
       * @generated
       */
      EClass TOOL_INFO_TRANSITION = eINSTANCE.getToolInfoTransition();

      /**
       * The meta object literal for the '<em><b>Inputsignalclause</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TOOL_INFO_TRANSITION__INPUTSIGNALCLAUSE = eINSTANCE.getToolInfoTransition_Inputsignalclause();

      /**
       * The meta object literal for the '<em><b>Topic Name</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TOOL_INFO_TRANSITION__TOPIC_NAME = eINSTANCE.getToolInfoTransition_TopicName();

      /**
       * The meta object literal for the '<em><b>Service Name</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TOOL_INFO_TRANSITION__SERVICE_NAME = eINSTANCE.getToolInfoTransition_ServiceName();

      /**
       * The meta object literal for the '<em><b>Server Input</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TOOL_INFO_TRANSITION__SERVER_INPUT = eINSTANCE.getToolInfoTransition_ServerInput();

      /**
       * The meta object literal for the '<em><b>Server Output</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TOOL_INFO_TRANSITION__SERVER_OUTPUT = eINSTANCE.getToolInfoTransition_ServerOutput();

      /**
       * The meta object literal for the '<em><b>Server Capacity</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TOOL_INFO_TRANSITION__SERVER_CAPACITY = eINSTANCE.getToolInfoTransition_ServerCapacity();

      /**
       * The meta object literal for the '<em><b>Channels</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference TOOL_INFO_TRANSITION__CHANNELS = eINSTANCE.getToolInfoTransition_Channels();

      /**
       * The meta object literal for the '<em><b>Publishers</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference TOOL_INFO_TRANSITION__PUBLISHERS = eINSTANCE.getToolInfoTransition_Publishers();

      /**
       * The meta object literal for the '<em><b>Subscribers</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference TOOL_INFO_TRANSITION__SUBSCRIBERS = eINSTANCE.getToolInfoTransition_Subscribers();

      /**
       * The meta object literal for the '<em><b>Transition</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference TOOL_INFO_TRANSITION__TRANSITION = eINSTANCE.getToolInfoTransition_Transition();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.ToolInfoPageImpl <em>Tool Info Page</em>}' class.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.ToolInfoPageImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getToolInfoPage()
       * @generated
       */
      EClass TOOL_INFO_PAGE = eINSTANCE.getToolInfoPage();

      /**
       * The meta object literal for the '<em><b>Service Name</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TOOL_INFO_PAGE__SERVICE_NAME = eINSTANCE.getToolInfoPage_ServiceName();

      /**
       * The meta object literal for the '<em><b>Page</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference TOOL_INFO_PAGE__PAGE = eINSTANCE.getToolInfoPage_Page();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.ToolInfoNetImpl <em>Tool Info Net</em>}' class.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.ToolInfoNetImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getToolInfoNet()
       * @generated
       */
      EClass TOOL_INFO_NET = eINSTANCE.getToolInfoNet();

      /**
       * The meta object literal for the '<em><b>Inputsignals</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference TOOL_INFO_NET__INPUTSIGNALS = eINSTANCE.getToolInfoNet_Inputsignals();

      /**
       * The meta object literal for the '<em><b>Petrinet</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference TOOL_INFO_NET__PETRINET = eINSTANCE.getToolInfoNet_Petrinet();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.TokensImpl <em>Tokens</em>}' class.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.TokensImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getTokens()
       * @generated
       */
      EClass TOKENS = eINSTANCE.getTokens();

      /**
       * The meta object literal for the '<em><b>Balloon Marking</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference TOKENS__BALLOON_MARKING = eINSTANCE.getTokens_BalloonMarking();

      /**
       * The meta object literal for the '<em><b>Token</b></em>' attribute list feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TOKENS__TOKEN = eINSTANCE.getTokens_Token();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.BalloonMarkingImpl <em>Balloon Marking</em>}' class.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.BalloonMarkingImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getBalloonMarking()
       * @generated
       */
      EClass BALLOON_MARKING = eINSTANCE.getBalloonMarking();

      /**
       * The meta object literal for the '<em><b>Tool Info Place</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference BALLOON_MARKING__TOOL_INFO_PLACE = eINSTANCE.getBalloonMarking_ToolInfoPlace();

      /**
       * The meta object literal for the '<em><b>Tokens</b></em>' containment reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference BALLOON_MARKING__TOKENS = eINSTANCE.getBalloonMarking_Tokens();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.InputSignalsImpl <em>Input Signals</em>}' class.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.InputSignalsImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getInputSignals()
       * @generated
       */
      EClass INPUT_SIGNALS = eINSTANCE.getInputSignals();

      /**
       * The meta object literal for the '<em><b>Tool Info Net</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference INPUT_SIGNALS__TOOL_INFO_NET = eINSTANCE.getInputSignals_ToolInfoNet();

      /**
       * The meta object literal for the '<em><b>Inputsignal</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference INPUT_SIGNALS__INPUTSIGNAL = eINSTANCE.getInputSignals_Inputsignal();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.InputSignalImpl <em>Input Signal</em>}' class.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.InputSignalImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getInputSignal()
       * @generated
       */
      EClass INPUT_SIGNAL = eINSTANCE.getInputSignal();

      /**
       * The meta object literal for the '<em><b>Inputsignals Container</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference INPUT_SIGNAL__INPUTSIGNALS_CONTAINER = eINSTANCE.getInputSignal_InputsignalsContainer();

      /**
       * The meta object literal for the '<em><b>Inputsignal ID</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute INPUT_SIGNAL__INPUTSIGNAL_ID = eINSTANCE.getInputSignal_InputsignalID();

      /**
       * The meta object literal for the '<em><b>Initialvalue</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute INPUT_SIGNAL__INITIALVALUE = eINSTANCE.getInputSignal_Initialvalue();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.ChannelsImpl <em>Channels</em>}' class.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.ChannelsImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getChannels()
       * @generated
       */
      EClass CHANNELS = eINSTANCE.getChannels();

      /**
       * The meta object literal for the '<em><b>Tool Info Transition</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference CHANNELS__TOOL_INFO_TRANSITION = eINSTANCE.getChannels_ToolInfoTransition();

      /**
       * The meta object literal for the '<em><b>Channel</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference CHANNELS__CHANNEL = eINSTANCE.getChannels_Channel();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.ChannelImpl <em>Channel</em>}' class.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.ChannelImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getChannel()
       * @generated
       */
      EClass CHANNEL = eINSTANCE.getChannel();

      /**
       * The meta object literal for the '<em><b>Cid</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute CHANNEL__CID = eINSTANCE.getChannel_Cid();

      /**
       * The meta object literal for the '<em><b>Request</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute CHANNEL__REQUEST = eINSTANCE.getChannel_Request();

      /**
       * The meta object literal for the '<em><b>Response</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute CHANNEL__RESPONSE = eINSTANCE.getChannel_Response();

      /**
       * The meta object literal for the '<em><b>Channels Container</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference CHANNEL__CHANNELS_CONTAINER = eINSTANCE.getChannel_ChannelsContainer();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.PublishersImpl <em>Publishers</em>}' class.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.PublishersImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPublishers()
       * @generated
       */
      EClass PUBLISHERS = eINSTANCE.getPublishers();

      /**
       * The meta object literal for the '<em><b>Tool Info Transition</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference PUBLISHERS__TOOL_INFO_TRANSITION = eINSTANCE.getPublishers_ToolInfoTransition();

      /**
       * The meta object literal for the '<em><b>Publisher</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference PUBLISHERS__PUBLISHER = eINSTANCE.getPublishers_Publisher();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.PublisherImpl <em>Publisher</em>}' class.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.PublisherImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPublisher()
       * @generated
       */
      EClass PUBLISHER = eINSTANCE.getPublisher();

      /**
       * The meta object literal for the '<em><b>Id</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute PUBLISHER__ID = eINSTANCE.getPublisher_Id();

      /**
       * The meta object literal for the '<em><b>Limit</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute PUBLISHER__LIMIT = eINSTANCE.getPublisher_Limit();

      /**
       * The meta object literal for the '<em><b>Publishers Container</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference PUBLISHER__PUBLISHERS_CONTAINER = eINSTANCE.getPublisher_PublishersContainer();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.SubscribersImpl <em>Subscribers</em>}' class.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.SubscribersImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getSubscribers()
       * @generated
       */
      EClass SUBSCRIBERS = eINSTANCE.getSubscribers();

      /**
       * The meta object literal for the '<em><b>Tool Info Transition</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference SUBSCRIBERS__TOOL_INFO_TRANSITION = eINSTANCE.getSubscribers_ToolInfoTransition();

      /**
       * The meta object literal for the '<em><b>Subscriber</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference SUBSCRIBERS__SUBSCRIBER = eINSTANCE.getSubscribers_Subscriber();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.SubscriberImpl <em>Subscriber</em>}' class.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.SubscriberImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getSubscriber()
       * @generated
       */
      EClass SUBSCRIBER = eINSTANCE.getSubscriber();

      /**
       * The meta object literal for the '<em><b>Id</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute SUBSCRIBER__ID = eINSTANCE.getSubscriber_Id();

      /**
       * The meta object literal for the '<em><b>Limit</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute SUBSCRIBER__LIMIT = eINSTANCE.getSubscriber_Limit();

      /**
       * The meta object literal for the '<em><b>Subscribers Container</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference SUBSCRIBER__SUBSCRIBERS_CONTAINER = eINSTANCE.getSubscriber_SubscribersContainer();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.impl.ToolInfoNodeImpl <em>Tool Info Node</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.impl.ToolInfoNodeImpl
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getToolInfoNode()
       * @generated
       */
      EClass TOOL_INFO_NODE = eINSTANCE.getToolInfoNode();

      /**
       * The meta object literal for the '<em><b>Node</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TOOL_INFO_NODE__NODE = eINSTANCE.getToolInfoNode_Node();

      /**
       * The meta object literal for the '<em><b>Subnet</b></em>' attribute feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TOOL_INFO_NODE__SUBNET = eINSTANCE.getToolInfoNode_Subnet();

      /**
       * The meta object literal for the '<em><b>Ref Transition</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference TOOL_INFO_NODE__REF_TRANSITION = eINSTANCE.getToolInfoNode_RefTransition();

      /**
       * The meta object literal for the '<em><b>Ref Place</b></em>' container reference feature.
       * <!-- begin-user-doc -->
      	 * <!-- end-user-doc -->
       * @generated
       */
      EReference TOOL_INFO_NODE__REF_PLACE = eINSTANCE.getToolInfoNode_RefPlace();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.PNType <em>PN Type</em>}' enum.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.PNType
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPNType()
       * @generated
       */
      EEnum PN_TYPE = eINSTANCE.getPNType();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.CSS2Color <em>CSS2 Color</em>}' enum.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.CSS2Color
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getCSS2Color()
       * @generated
       */
      EEnum CSS2_COLOR = eINSTANCE.getCSS2Color();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.Gradient <em>Gradient</em>}' enum.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.Gradient
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getGradient()
       * @generated
       */
      EEnum GRADIENT = eINSTANCE.getGradient();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.LineShape <em>Line Shape</em>}' enum.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.LineShape
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getLineShape()
       * @generated
       */
      EEnum LINE_SHAPE = eINSTANCE.getLineShape();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.FontAlign <em>Font Align</em>}' enum.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.FontAlign
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getFontAlign()
       * @generated
       */
      EEnum FONT_ALIGN = eINSTANCE.getFontAlign();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.FontDecoration <em>Font Decoration</em>}' enum.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.FontDecoration
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getFontDecoration()
       * @generated
       */
      EEnum FONT_DECORATION = eINSTANCE.getFontDecoration();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.CSS2FontFamily <em>CSS2 Font Family</em>}' enum.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.CSS2FontFamily
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getCSS2FontFamily()
       * @generated
       */
      EEnum CSS2_FONT_FAMILY = eINSTANCE.getCSS2FontFamily();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.CSS2FontSize <em>CSS2 Font Size</em>}' enum.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.CSS2FontSize
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getCSS2FontSize()
       * @generated
       */
      EEnum CSS2_FONT_SIZE = eINSTANCE.getCSS2FontSize();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.CSS2FontStyle <em>CSS2 Font Style</em>}' enum.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.CSS2FontStyle
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getCSS2FontStyle()
       * @generated
       */
      EEnum CSS2_FONT_STYLE = eINSTANCE.getCSS2FontStyle();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.CSS2FontWeight <em>CSS2 Font Weight</em>}' enum.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.CSS2FontWeight
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getCSS2FontWeight()
       * @generated
       */
      EEnum CSS2_FONT_WEIGHT = eINSTANCE.getCSS2FontWeight();

      /**
       * The meta object literal for the '{@link org.pnml.emf.ptnet.LineStyle <em>Line Style</em>}' enum.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see org.pnml.emf.ptnet.LineStyle
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getLineStyle()
       * @generated
       */
      EEnum LINE_STYLE = eINSTANCE.getLineStyle();

      /**
       * The meta object literal for the '<em>Positive Integer</em>' data type.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see java.lang.Integer
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getPositiveInteger()
       * @generated
       */
      EDataType POSITIVE_INTEGER = eINSTANCE.getPositiveInteger();

      /**
       * The meta object literal for the '<em>Natural</em>' data type.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see java.lang.Integer
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getNatural()
       * @generated
       */
      EDataType NATURAL = eINSTANCE.getNatural();

      /**
       * The meta object literal for the '<em>URI</em>' data type.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see java.net.URI
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getURI()
       * @generated
       */
      EDataType URI = eINSTANCE.getURI();

      /**
       * The meta object literal for the '<em>Long String</em>' data type.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see java.lang.StringBuffer
       * @see org.pnml.emf.ptnet.impl.PtnetPackageImpl#getLongString()
       * @generated
       */
      EDataType LONG_STRING = eINSTANCE.getLongString();

   }

} //PtnetPackage
